
;CodeVisionAVR C Compiler V1.25.3 Standard
;(C) Copyright 1998-2007 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type              : ATmega128
;Program type           : Application
;Clock frequency        : 16.000000 MHz
;Memory model           : Medium
;Optimize for           : Size
;(s)printf features     : int, width
;(s)scanf features      : int, width
;External SRAM size     : 0
;Data Stack size        : 1024 byte(s)
;Heap size              : 0 byte(s)
;Promote char to int    : No
;char is unsigned       : Yes
;8 bit enums            : No
;Word align FLASH struct: No
;Enhanced core instructions    : On
;Smart register allocation : On
;Automatic register allocation : On

	#pragma AVRPART ADMIN PART_NAME ATmega128
	#pragma AVRPART MEMORY PROG_FLASH 131072
	#pragma AVRPART MEMORY EEPROM 4096
	#pragma AVRPART MEMORY INT_SRAM SIZE 4096
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x100

	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU RAMPZ=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F
	.EQU XMCRA=0x6D
	.EQU XMCRB=0x6C

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.EQU __se_bit=0x20
	.EQU __sm_mask=0x1C
	.EQU __sm_adc_noise_red=0x08
	.EQU __sm_powerdown=0x10
	.EQU __sm_powersave=0x18
	.EQU __sm_standby=0x14
	.EQU __sm_ext_standby=0x1C

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM
	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM
	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM
	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM
	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM
	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM
	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+@1
	ANDI R30,LOW(@2)
	STS  @0+@1,R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+@1
	ANDI R30,LOW(@2)
	STS  @0+@1,R30
	LDS  R30,@0+@1+1
	ANDI R30,HIGH(@2)
	STS  @0+@1+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+@1
	ORI  R30,LOW(@2)
	STS  @0+@1,R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+@1
	ORI  R30,LOW(@2)
	STS  @0+@1,R30
	LDS  R30,@0+@1+1
	ORI  R30,HIGH(@2)
	STS  @0+@1+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __CLRD1S
	LDI  R30,0
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+@1)
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+@1)
	LDI  R31,HIGH(@0+@1)
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	LDI  R22,BYTE3(2*@0+@1)
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+@1)
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+@1)
	LDI  R27,HIGH(@0+@1)
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+@2)
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+@3)
	LDI  R@1,HIGH(@2+@3)
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+@3)
	LDI  R@1,HIGH(@2*2+@3)
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+@1
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+@1
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	LDS  R22,@0+@1+2
	LDS  R23,@0+@1+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+@2
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+@3
	LDS  R@1,@2+@3+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+@1
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+@1
	LDS  R27,@0+@1+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+@1
	LDS  R27,@0+@1+1
	LDS  R24,@0+@1+2
	LDS  R25,@0+@1+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+@1,R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+@1,R30
	STS  @0+@1+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+@1,R30
	STS  @0+@1+1,R31
	STS  @0+@1+2,R22
	STS  @0+@1+3,R23
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+@1,R0
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+@1,R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+@1,R@2
	STS  @0+@1+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __GETBRPF
	OUT  RAMPZ,R22
	ELPM R@0,Z
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	CALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+@1)
	LDI  R27,HIGH(@0+@1)
	CALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	CALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	CLR  R0
	ST   Z+,R0
	ST   Z,R0
	.ENDM

	.MACRO __CLRD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	CLR  R0
	ST   Z+,R0
	ST   Z+,R0
	ST   Z+,R0
	ST   Z,R0
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R@1
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

	.CSEG
	.ORG 0

	.INCLUDE "test.vec"
	.INCLUDE "test.inc"

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  MCUCR,R31
	OUT  MCUCR,R30
	STS  XMCRB,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,13
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(0x1000)
	LDI  R25,HIGH(0x1000)
	LDI  R26,LOW(0x100)
	LDI  R27,HIGH(0x100)
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
	LDI  R29,BYTE3(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	OUT  RAMPZ,R29
	ELPM R24,Z+
	ELPM R25,Z+
	SBIW R24,0
	BREQ __GLOBAL_INI_END
	ELPM R26,Z+
	ELPM R27,Z+
	ELPM R0,Z+
	ELPM R1,Z+
	ELPM R28,Z+
	ELPM R29,Z+
	MOVW R22,R30
	IN   R29,RAMPZ
	MOVW R30,R0
	OUT  RAMPZ,R28
__GLOBAL_INI_LOOP:
	ELPM R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

;STACK POINTER INITIALIZATION
	LDI  R30,LOW(0x10FF)
	OUT  SPL,R30
	LDI  R30,HIGH(0x10FF)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(0x500)
	LDI  R29,HIGH(0x500)

	JMP  _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x500
;       1 // ========================= Atmega128 ÷ LCD ׽Ʈ α׷ ===============
;       2 //  CPU : ATmega128-16M - 320*240 2.8" ÷ LCD
;       3 //     ¥ : 2008-
;       4 //      : Ver1.0
;       5 //    : www.cpuplaza.com
;       6 // Ϸ : CVAVR
;       7 //      : serial 19200,N,8,1
;       8 // ----------------------------------------------------------------------------
;       9 // ⺻ 
;      10 #include <mega128.h>							// CPU  
;      11 
;      12 #include <stdio.h>
;      13 #include <stdlib.h>
;      14 #include <ctype.h>
;      15 #include <float.h>
;      16 #include <math.h>
;      17 #include <string.h>
;      18 #include <delay.h>
;      19 
;      20 //  
;      21 #include "cpusetup.inc"							// cpu  ͷƮ  ƾ
;      22 // =================================== CPUʱȭ ͷƮ ===================
;      23 //      : CPU  ϰ ͷƮ  ƾ .
;      24 // ----------------------------------------------------------------------------
;      25 //   
;      26 #define RXB8 1
;      27 #define TXB8 0
;      28 #define UPE 2
;      29 #define OVR 3
;      30 #define FE 4
;      31 #define UDRE 5
;      32 #define RXC 7
;      33 
;      34 #define FRAMING_ERROR (1<<FE)
;      35 #define PARITY_ERROR (1<<UPE)
;      36 #define DATA_OVERRUN (1<<OVR)
;      37 #define DATA_REGISTER_EMPTY (1<<UDRE)
;      38 #define RX_COMPLETE (1<<RXC)
;      39 
;      40 // Լ 
;      41 int putchar_0(char data);					// COM1 ۽
;      42 int getchar_0(void);						// COM1 
;      43 
;      44 //  
;      45 char com1_rx_data,com1_rx_eflg = 0;				// COM1   ͷƮ  /÷
;      46 
;      47 int timer0_cnt = 0;						// Ÿ̸0 ͷƮ  ī
;      48 int timer0_touch_cnt = 0;					// timer0 ġ  10ms ī
;      49 
;      50 // ===================================== CPUʱȭ ============================
;      51 // [μ] void
;      52 // ----------------------------------------------------------------------------
;      53 void cpu_setup(void)
;      54 {

	.CSEG
_cpu_setup:
;      55 // PortA 
;      56 // LCD_D[0..7] : LCD Data Bus
;      57 	PORTA=0xff;						// Ʈ  reg
	LDI  R30,LOW(255)
	OUT  0x1B,R30
;      58 	DDRA=0x00;                                              // Ʈ  reg(0Է,1)
	LDI  R30,LOW(0)
	OUT  0x1A,R30
;      59 
;      60 // PortC 
;      61 // LCD_D[8..15] : LCD Data Bus(color lcd)
;      62 // PortC.0 : LCD_CS1
;      63 // PortC.1 : LCD_CS2
;      64 	PORTC=0xff;						// Ʈ  reg
	LDI  R30,LOW(255)
	OUT  0x15,R30
;      65 	DDRC=0x00;                                              // Ʈ  reg(0Է,1)
	LDI  R30,LOW(0)
	OUT  0x14,R30
;      66 
;      67 // PortE 
;      68 // PortE.3(OUT) : LCD DIR
;      69 // PortE.4(OUT) : LCD E
;      70 // PortE.5(OUT) : LCD RS
;      71 // PortE.6(OUT) : GLCD/CLCD Reset
;      72 // PortE.7(IN)  : TSC2003 Interrupt PULL UP(external)
;      73 	PORTE=0x40;						// Ʈ  reg
	LDI  R30,LOW(64)
	OUT  0x3,R30
;      74 	DDRE=0x78;                                              // Ʈ  reg(0Է,1)
	LDI  R30,LOW(120)
	OUT  0x2,R30
;      75 
;      76 // PortG 
;      77 // PortG.0(OUT) : LCD R/W,CLCD_WR
;      78 // PortG.1(OUT) : LCD RD
;      79 // PortG.2(OUT) : LCD CS
;      80 	PORTG=0x07;						// Ʈ  reg
	LDI  R30,LOW(7)
	STS  101,R30
;      81 	DDRG=0x07;                                              // Ʈ  reg(0Է,1)
	STS  100,R30
;      82 
;      83 // Timer/Counter0 (Overflow)
;      84 	ASSR=0x00;
	LDI  R30,LOW(0)
	OUT  0x30,R30
;      85 	TCCR0 = 0x07;						// system clock,16,000,000 / 1024 = 15.625Khz
	LDI  R30,LOW(7)
	OUT  0x33,R30
;      86 	TCNT0 = 99;						// 255-156 = 99
	LDI  R30,LOW(99)
	OUT  0x32,R30
;      87 	OCR0=0x00;
	LDI  R30,LOW(0)
	OUT  0x31,R30
;      88 	TIMSK |= 0x01;						// TIMER0 ͷƮ 㰡
	IN   R30,0x37
	ORI  R30,1
	OUT  0x37,R30
;      89 
;      90 //  ʱȭ(COM1)
;      91 // 19200Bps, 8Data, 1 Stop, No Parity
;      92 	UCSR0A=0x00;
	LDI  R30,LOW(0)
	OUT  0xB,R30
;      93 	UCSR0B=0x98;
	LDI  R30,LOW(152)
	OUT  0xA,R30
;      94 	UCSR0C=0x06;
	LDI  R30,LOW(6)
	STS  149,R30
;      95 	UBRR0H=0x00;
	LDI  R30,LOW(0)
	STS  144,R30
;      96 	UBRR0L=0x33;
	LDI  R30,LOW(51)
	OUT  0x9,R30
;      97 
;      98 // External SRAM page configuration:
;      99 //              -              / 0000h - FFFFh
;     100 // Lower page wait state(s): None
;     101 // Upper page wait state(s): 1r/w
;     102 //	MCUCR=0xc0;
;     103 //	XMCRA=0x02;
;     104 
;     105 // Analog Comparator 
;     106 	ACSR=0x80;
	LDI  R30,LOW(128)
	OUT  0x8,R30
;     107 	SFIOR=0x00;
	LDI  R30,LOW(0)
	OUT  0x20,R30
;     108 
;     109 // Global enable interrupts
;     110 #asm("sei")
	sei
;     111 }
	RET
;     112 // =============================== COM1 ͷƮ ===========================
;     113 // [μ] void
;     114 // ----------------------------------------------------------------------------
;     115 #pragma savereg-
;     116 interrupt [USART0_RXC] void uart0_rx_isr(void)
;     117 {
_uart0_rx_isr:
;     118 char status,data;
;     119 #asm
;     120 	push r26
	push r26
;     121 	push r27
	push r27
;     122 	push r30
	push r30
;     123 	push r31
	push r31
;     124 	in   r26,sreg
	in   r26,sreg
;     125 	push r26
	push r26
;     126 #endasm
;     127 
;     128 	status=UCSR0A;
	ST   -Y,R17
	ST   -Y,R16
;	status -> R17
;	data -> R16
	IN   R17,11
;     129 	data=UDR0;
	IN   R16,12
;     130 	if((status & (FRAMING_ERROR | PARITY_ERROR | DATA_OVERRUN))==0){
	MOV  R30,R17
	ANDI R30,LOW(0x1C)
	BRNE _0x3
;     131 		com1_rx_data = data;
	MOV  R5,R16
;     132 		com1_rx_eflg = 1;
	LDI  R30,LOW(1)
	MOV  R4,R30
;     133 	}
;     134 
;     135 #asm
_0x3:
;     136 	pop  r26
	pop  r26
;     137 	out  sreg,r26
	out  sreg,r26
;     138 	pop  r31
	pop  r31
;     139 	pop  r30
	pop  r30
;     140 	pop  r27
	pop  r27
;     141 	pop  r26
	pop  r26
;     142 #endasm
;     143 }
	LD   R16,Y+
	LD   R17,Y+
	RETI
;     144 #pragma savereg+
;     145 
;     146 // ========================== TIMER0 overflow ͷƮ ========================
;     147 // [μ] void
;     148 // [] 16,000,000 / 1024 / 156 =  1 / 100.1602564 = 9.9984ms
;     149 // ----------------------------------------------------------------------------
;     150 interrupt [TIM0_OVF] void timer0_ovf_isr(void)
;     151 {
_timer0_ovf_isr:
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
;     152 	TCNT0 = 99;						// 255-156 = 100
	LDI  R30,LOW(99)
	OUT  0x32,R30
;     153 	timer0_cnt++;						// Ÿ̸0 ī
	MOVW R30,R6
	ADIW R30,1
	MOVW R6,R30
;     154 	timer0_touch_cnt++;					// Ÿ̸0 ġ  ī++
	MOVW R30,R8
	ADIW R30,1
	MOVW R8,R30
;     155 }
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	RETI
;     156 #include "tftlcd.inc"							// ׷ LCD
;     157 // ====================== Color LCD  α׷ ==============================
;     158 //  : 320*240 TFT LCD(T32QT7690-HX8347)
;     159 // -----------------------------------------------------------------------------
;     160 // ȭ ǥ 
;     161 #define		_SCREEN_COLUMN_SET	0			// ι ǥø ʻ(0,0)
;     162 #define		_SCREEN_ROW_SET		1			// ι ǥø ʻ(0,0)
;     163 
;     164 #define		_SCREEN_COLUMN_X	319			// ι ǥø X ִ밪
;     165 #define		_SCREEN_COLUMN_Y	239			// ι ǥø Y ִ밪
;     166 #define		_SCREEN_ROW_X		239			// ι ǥø X ִ밪
;     167 #define		_SCREEN_ROW_Y		319			// ι ǥø Y ִ밪
;     168 
;     169 // Լ 
;     170 void Cleardevice(void);						// ü ȭ 
;     171 void ScreenSet(int mode,int x1,int y1,int x2,int y2);		// ǥ ȭ 
;     172 void Image_Disp_8bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image);// 8Bit ̹  ǥ(κ ǥ)
;     173 void Image_Screen_Disp_8bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image1,unsigned char flash *image2,unsigned char flash *image3);// 8Bit ̹  ǥ(ū  ǥ)
;     174 
;     175 void Image_Disp_16bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image);// 16Bit ̹  ǥ(κ ǥ)
;     176 void Image_Screen_Disp_16bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image1,unsigned char flash *image2,unsigned char flash *image3,
;     177                              unsigned char flash *image4,unsigned char flash *image5);// 16Bit ̹  ǥ(ū  ǥ)
;     178 
;     179 // LCD H/W 
;     180 void Clcd_Init(void);						// Golor LCD Init
;     181 void CLCD_Command_Data(int regnum,unsigned datau);		// شּҿ Register NO.+Data Write
;     182 void CLCD_Command(int regnum);					// CLCD Command Register NO. write
;     183 void CLCD_Cdata(unsigned datau);				// CLCD Command Register Data write
;     184 unsigned CLCD_GRAM_dread(void);					// CLCD GRAM Data read
;     185 void lcd_delay(unsigned short time);				// LCD ð Լ time*1ms
;     186 
;     187 //  
;     188 int _screen_mode = _SCREEN_COLUMN_SET;				// ȭ ǥù 
;     189 int _screen_xmax = _SCREEN_COLUMN_X;				// θ ִ밪

	.DSEG
;     190 int _screen_ymax = _SCREEN_COLUMN_Y;				// θ ִ밪
__screen_ymax:
	.BYTE 0x2
;     191 
;     192 int _screen_curx = 0;						// X ǥ 
__screen_curx:
	.BYTE 0x2
;     193 int _screen_cury = 0;						// Yǥ 
__screen_cury:
	.BYTE 0x2
;     194 
;     195 // ================== 8bit ̹  ǥ(Ϻ ) =======================
;     196 // [μ] int mode,int x,int y,int x_size,int y_size,unsigned char flash *image
;     197 // Item1: ȭ   :: _SCREEN_COLUMN_SET( ȭ), _SCREEN_ROW_SET( ȭ)
;     198 // Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;     199 // Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;     200 // Item4: x ̹ ũ
;     201 // Item5: y ̹ ũ
;     202 // Item6: ǥ ̹ (32000Byte ̳)
;     203 // []  ȭ(0,0,319,239)
;     204 //         ȭ(0,0,239,319)
;     205 //        BGR(233) : BBGGGRRR ( )
;     206 //        BGR(323) : BBBGGRRR
;     207 //        BGR(332) : BBBGGGRR
;     208 // -----------------------------------------------------------------------------
;     209 void Image_Disp_8bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image)
;     210 {

	.CSEG
_Image_Disp_8bit:
;     211 unsigned char uc,pa,pc;
;     212 unsigned i,total_size;
;     213 
;     214 	ScreenSet(mode,x,y,x+(x_size-1),y+(y_size-1));		// ǥȭ(/) 
	SBIW R28,2
	CALL __SAVELOCR6
;	mode -> Y+20
;	x -> Y+18
;	y -> Y+16
;	x_size -> Y+14
;	y_size -> Y+12
;	*image -> Y+8
;	uc -> R17
;	pa -> R16
;	pc -> R19
;	i -> R20,R21
;	total_size -> Y+6
	CALL SUBOPT_0x0
	CALL SUBOPT_0x0
	CALL SUBOPT_0x0
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	RCALL _ScreenSet
;     215 	total_size = x_size * y_size;				// ü ǥ  
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	CALL __MULW12
	STD  Y+6,R30
	STD  Y+6+1,R31
;     216 
;     217 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	CALL SUBOPT_0x2
;     218 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;     219 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     220 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     221 
;     222 	for(i = 0; i < total_size; i++){			// ü ǥ  
	__GETWRN 20,21,0
_0x7:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	CP   R20,R30
	CPC  R21,R31
	BRSH _0x8
;     223 		uc = *image++;					// Data Read
	__GETD1S 8
	CALL SUBOPT_0x3
	__PUTD1S 8
	SBIW R30,1
	SBCI R22,0
	SBCI R23,0
	__GETBRPF 17
;     224 		if(uc == 0xff) pa = pc = 0xff;
	CPI  R17,255
	BRNE _0x9
	LDI  R30,LOW(255)
	MOV  R19,R30
	RJMP _0xEB
;     225 		else{
_0x9:
;     226 // BGR(233) BBGGGRRR
;     227 			pc = (uc & 0x07) << 5;			// red   3bit
	MOV  R30,R17
	ANDI R30,LOW(0x7)
	SWAP R30
	ANDI R30,0xF0
	LSL  R30
	MOV  R19,R30
;     228 			pc |= (uc & 0x38) >> 3;			// green 3bit
	MOV  R30,R17
	ANDI R30,LOW(0x38)
	LSR  R30
	LSR  R30
	LSR  R30
	OR   R19,R30
;     229 			pa = (uc & 0xc0) >> 3;			// blue  2bit
	MOV  R30,R17
	ANDI R30,LOW(0xC0)
	LSR  R30
	LSR  R30
	LSR  R30
_0xEB:
	MOV  R16,R30
;     230 // BGR(323) BBBGGRRR
;     231 //			pc = (uc & 0x07) << 5;			// red   3bit
;     232 //			pc |= (uc & 0x18) >> 2;			// green 2bit
;     233 //			pa = (uc & 0xe0) >> 3;			// blue  3bit
;     234 // BGR(332) BBBGGGRR
;     235 //			pc = (uc & 0x03) << 6;			// red   2bit
;     236 //			pc |= (uc & 0x1c) >> 2;			// green 3bit
;     237 //			pa = (uc & 0xe0) >> 3;			// blue  3bit
;     238 		}
;     239 		PORTA = pa;					// d[0..7]
	OUT  0x1B,R16
;     240 		PORTC = pc;					// d[8..15]
	OUT  0x15,R19
;     241 
;     242 		PORTG &= ~0x01;					// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x4
;     243 		PORTG |= 0x01;					// PORTG.0 :: CLCD_WR\ = 1
;     244 	}
	__ADDWRN 20,21,1
	RJMP _0x7
_0x8:
;     245 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0x5
;     246 }
	CALL __LOADLOCR6
	ADIW R28,22
	RET
;     247 
;     248 // ============ 8bit ̹  ǥ(ȭ ü Ǵ ū ȭ) ===============
;     249 // [μ] int mode,int x,int y,int x_size,int y_size,unsigned char flash *image1,unsigned char flash *image2,unsigned char flash *image3
;     250 // Item1: ȭ   :: _SCREEN_COLUMN_SET( ȭ), _SCREEN_ROW_SET( ȭ)
;     251 // Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;     252 // Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;     253 // Item4: x ̹ ũ
;     254 // Item5: y ̹ ũ
;     255 // Item6: ǥ ̹ 1(32000Byte ̳)
;     256 // Item7: ǥ ̹ 2(32000Byte ̳)
;     257 // Item8: ǥ ̹ 3(32000Byte ̳)
;     258 // []  ȭ(0,0,319,239)
;     259 //         ȭ(0,0,239,319)
;     260 //        BGR(233) : BBGGGRRR ( )
;     261 //        BGR(323) : BBBGGRRR
;     262 //        BGR(332) : BBBGGGRR
;     263 // -----------------------------------------------------------------------------
;     264 void Image_Screen_Disp_8bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image1,unsigned char flash *image2,unsigned char flash *image3)
;     265 {
;     266 unsigned char uc,pa,pc;
;     267 unsigned char flash *image;
;     268 unsigned i,j,total_cnt = 0,total_size;
;     269 long total_sizel;
;     270 
;     271 	ScreenSet(mode,x,y,x+(x_size-1),y+(y_size-1));		// ǥȭ(/) 
;	mode -> Y+40
;	x -> Y+38
;	y -> Y+36
;	x_size -> Y+34
;	y_size -> Y+32
;	*image1 -> Y+28
;	*image2 -> Y+24
;	*image3 -> Y+20
;	uc -> R17
;	pa -> R16
;	pc -> R19
;	*image -> Y+16
;	i -> R20,R21
;	j -> Y+14
;	total_cnt -> Y+12
;	total_size -> Y+10
;	total_sizel -> Y+6
;     272 	total_sizel = (long)x_size * (long)y_size;		// ü ǥ  
;     273 	if(total_sizel >= 32000L){
;     274 		total_cnt = (unsigned)(total_sizel / 32000L);	// LOOP ī 
;     275 		i = (unsigned)(total_sizel % 32000L);		// ?
;     276 		if(i != 0) total_cnt++;
;     277 		total_size = 32000U;				//  
;     278 	}
;     279 	else if(total_sizel > 0){				//  0 ũ
;     280 		total_size = (unsigned)total_sizel;
;     281 		total_cnt = 1;
;     282 	}
;     283 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;     284 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;     285 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     286 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     287 
;     288 	for(i = 0; i < total_cnt; i++){				// ü  ?
;     289 		if(i > 0){					// ù°  
;     290 			if(total_sizel >= 32000L){		// ǥ  
;     291 				total_size = 32000;
;     292 				total_sizel -= 32000L;
;     293 			}
;     294 			else total_size = (unsigned)total_sizel;
;     295 		}
;     296 		switch(i){
;     297 			case 0: image = image1;			// ̹ 1
;     298 				break;
;     299 			case 1: image = image2;			// ̹ 2
;     300 				break;
;     301 			case 2: image = image3;			// ̹ 3
;     302 				break;
;     303 			default: break;
;     304 		}
;     305 		for(j = 0; j < total_size; j++){		// ü (64000Byte ̳)
;     306 			uc = *image++;				// Data Read
;     307 			if(uc == 0xff) pa = pc = 0xff;
;     308 			else{
;     309 // BGR(233) BBGGGRRR
;     310 				pc = (uc & 0x07) << 5;		// red   3bit
;     311 				pc |= (uc & 0x38) >> 3;		// green 3bit
;     312 				pa = (uc & 0xc0) >> 3;		// blue  2bit
;     313 // BGR(323) BBBGGRRR
;     314 //				pc = (uc & 0x07) << 5;		// red   3bit
;     315 //				pc |= (uc & 0x18) >> 2;		// green 2bit
;     316 //				pa = (uc & 0xe0) >> 3;		// blue  3bit
;     317 // BGR(332) BBBGGGRR
;     318 //				pc = (uc & 0x03) << 6;		// red   2bit
;     319 //				pc |= (uc & 0x1c) >> 2;		// green 3bit
;     320 //				pa = (uc & 0xe0) >> 3;		// blue  3bit
;     321 			}
;     322 			PORTA = pa;				// d[0..7]
;     323 			PORTC = pc;				// d[8..15]
;     324 
;     325 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
;     326 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;     327 		}
;     328 	}
;     329 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     330 }
;     331 
;     332 // ================== 16bit ̹  ǥ(Ϻ ) =======================
;     333 // [μ] int mode,int x,int y,int x_size,int y_size,unsigned char flash *image
;     334 // Item1: ȭ   :: _SCREEN_COLUMN_SET( ȭ), _SCREEN_ROW_SET( ȭ)
;     335 // Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;     336 // Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;     337 // Item4: x ̹ ũ
;     338 // Item5: y ̹ ũ
;     339 // Item6: ǥ ̹ (32000Byte ̳)
;     340 // []  ȭ(0,0,319,239)
;     341 //         ȭ(0,0,239,319)
;     342 //        RGB(565) : RRRRRGGGGGGBBBBB
;     343 // -----------------------------------------------------------------------------
;     344 void Image_Disp_16bit(int mode,int x, int y, int x_size,int y_size,unsigned char flash *image)
;     345 {
;     346 unsigned i,total_size;
;     347 
;     348 	ScreenSet(mode,x,y,x+(x_size-1),y+(y_size-1));		// ǥȭ(/) 
;	mode -> Y+16
;	x -> Y+14
;	y -> Y+12
;	x_size -> Y+10
;	y_size -> Y+8
;	*image -> Y+4
;	i -> R16,R17
;	total_size -> R18,R19
;     349 	total_size = x_size * y_size;				// ü ǥ  
;     350 
;     351 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;     352 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;     353 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     354 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     355 
;     356 	for(i = 0; i < total_size; i++){			// ü ǥ  
;     357 		PORTC = *image++;				// Data Read D[8..15]
;     358 		PORTA = *image++;				// Data Read D[0..7]
;     359 
;     360 		PORTG &= ~0x01;					// PORTG.0 :: CLCD_WR\ = 0
;     361 		PORTG |= 0x01;					// PORTG.0 :: CLCD_WR\ = 1
;     362 	}
;     363 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     364 }
;     365 
;     366 // ============ 16bit ̹  ǥ(ȭ ü Ǵ ū ȭ) ===============
;     367 // [μ] int mode,int x,int y,int x_size,int y_size,unsigned char flash *image1,unsigned char flash *image2,unsigned char flash *image3
;     368 // Item1: ȭ   :: _SCREEN_COLUMN_SET( ȭ), _SCREEN_ROW_SET( ȭ)
;     369 // Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;     370 // Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;     371 // Item4: x ̹ ũ
;     372 // Item5: y ̹ ũ
;     373 // Item6: ǥ ̹ 1(32000Byte ̳)
;     374 // Item7: ǥ ̹ 2(32000Byte ̳)
;     375 // Item8: ǥ ̹ 3(32000Byte ̳)
;     376 // Item9: ǥ ̹ 4(32000Byte ̳)
;     377 // Item10:ǥ ̹ 5(32000Byte ̳)
;     378 // []  ȭ(0,0,319,239)
;     379 //        RGB(565) : RRRRRGGGGGGBBBBB
;     380 // -----------------------------------------------------------------------------
;     381 void Image_Screen_Disp_16bit(int mode,int x, int y, int x_size,int y_size,unsigned char  flash *image1,unsigned char  flash *image2,
;     382 			     unsigned char  flash *image3,unsigned char flash *image4,unsigned char flash *image5)
;     383 {
;     384 unsigned char flash *image;
;     385 unsigned i,j,total_cnt = 0,total_size;
;     386 long total_sizel;
;     387 
;     388 	ScreenSet(mode,x,y,x+(x_size-1),y+(y_size-1));		// ǥȭ(/) 
;	mode -> Y+44
;	x -> Y+42
;	y -> Y+40
;	x_size -> Y+38
;	y_size -> Y+36
;	*image1 -> Y+32
;	*image2 -> Y+28
;	*image3 -> Y+24
;	*image4 -> Y+20
;	*image5 -> Y+16
;	*image -> Y+12
;	i -> R16,R17
;	j -> R18,R19
;	total_cnt -> R20,R21
;	total_size -> Y+10
;	total_sizel -> Y+6
;     389 	total_sizel = (long)x_size * (long)y_size;		// ü ǥ  
;     390 	if(total_sizel >= 32000L){
;     391 		total_cnt = (unsigned)(total_sizel / 32000L);	// LOOP ī 
;     392 		i = (unsigned)(total_sizel % 32000L);		// ?
;     393 		if(i != 0) total_cnt++;
;     394 		total_size = 32000U;				//  
;     395 	}
;     396 	else if(total_sizel > 0){				//  0 ũ
;     397 		total_size = (unsigned)total_sizel;
;     398 		total_cnt = 1;
;     399 	}
;     400 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;     401 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;     402 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     403 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     404 
;     405 	for(i = 0; i < total_cnt; i++){				// ü  ?
;     406 		if(i > 0){					// ù°  
;     407 			if(total_sizel >= 32000L){		// ǥ  
;     408 				total_size = 32000;
;     409 				total_sizel -= 32000L;
;     410 			}
;     411 			else total_size = (unsigned)total_sizel;
;     412 		}
;     413 		switch(i){
;     414 			case 0: image = image1;			// ̹ 1
;     415 				break;
;     416 			case 1: image = image2;			// ̹ 2
;     417 				break;
;     418 			case 2: image = image3;			// ̹ 3
;     419 				break;
;     420 			case 3: image = image4;			// ̹ 4
;     421 				break;
;     422 			case 4: image = image5;			// ̹ 5
;     423 				break;
;     424 			default: break;
;     425 		}
;     426 		for(j = 0; j < total_size; j++){		// ü (64000Byte ̳)
;     427 			PORTC = *image++;			// Data Read D[8..15]
;     428 			PORTA = *image++;			// Data Read D[0..7]
;     429 
;     430 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
;     431 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;     432 		}
;     433 	}
;     434 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     435 }
;     436 
;     437 // =============================== LCD ȭ  ===============================
;     438 // [μ] void
;     439 // []  ȭ(0,0,319,239)
;     440 //         ȭ(0,0,239,319)
;     441 // -----------------------------------------------------------------------------
;     442 void Cleardevice(void)
;     443 {
_Cleardevice:
;     444 unsigned short i,j;
;     445 
;     446 	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	CALL __SAVELOCR4
;	i -> R16,R17
;	j -> R18,R19
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x3B
	CALL SUBOPT_0x6
	CALL SUBOPT_0x6
	CALL SUBOPT_0x6
	CALL SUBOPT_0x7
	RJMP _0xEC
;     447 	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0x3B:
	CALL SUBOPT_0x8
	CALL SUBOPT_0x6
	CALL SUBOPT_0x6
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(319)
	LDI  R31,HIGH(319)
_0xEC:
	ST   -Y,R31
	ST   -Y,R30
	RCALL _ScreenSet
;     448 
;     449 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	CALL SUBOPT_0x2
;     450 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;     451 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     452 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     453 
;     454 	for(i = 0; i <= _screen_ymax; i++){
	__GETWRN 16,17,0
_0x3E:
	LDS  R30,__screen_ymax
	LDS  R31,__screen_ymax+1
	CP   R30,R16
	CPC  R31,R17
	BRLO _0x3F
;     455 		PORTA = 0x00;					// BLACK
	LDI  R30,LOW(0)
	OUT  0x1B,R30
;     456 		PORTC = 0x00;
	OUT  0x15,R30
;     457 		for(j = 0; j <= _screen_xmax; j++){
	__GETWRN 18,19,0
_0x41:
	__CPWRR 12,13,18,19
	BRLO _0x42
;     458 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x4
;     459 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;     460         	}
	__ADDWRN 18,19,1
	RJMP _0x41
_0x42:
;     461 	}
	__ADDWRN 16,17,1
	RJMP _0x3E
_0x3F:
;     462 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0x5
;     463 	_screen_curx = _screen_cury = 0;
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	STS  __screen_cury,R30
	STS  __screen_cury+1,R31
	STS  __screen_curx,R30
	STS  __screen_curx+1,R31
;     464 }
	CALL __LOADLOCR4
	RJMP _0xEA
;     465 
;     466 // =========================== ǥ ȭ  ==================================
;     467 // [μ] int mode,int x1,int y1, int x2, int y2
;     468 // Item1: ũ (_SCREEN_COLUMN_SET,_SCREEN_ROW_SET)
;     469 //        _SCREEN_COLUMN_SET : ȭ  ġ : ʻ(0,0,319,239)
;     470 //        _SCREEN_ROW_SET    : ȭ  ġ : ʻ(0,0,239,320)
;     471 // Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;     472 // Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;     473 // Item4:  xǥ   : θ ǥý(0-319) / θ ǥý(0-239)
;     474 // Item5:  yǥ   : θ ǥý(0-319) / θ ǥý(0-319)
;     475 // []  ȭ(0,0,319,239)
;     476 //         ȭ(0,0,239,319)
;     477 // -----------------------------------------------------------------------------
;     478 void ScreenSet(int mode,int x1,int y1,int x2,int y2)
;     479 {
_ScreenSet:
;     480 	if(mode == _SCREEN_COLUMN_SET){
;	mode -> Y+8
;	x1 -> Y+6
;	y1 -> Y+4
;	x2 -> Y+2
;	y2 -> Y+0
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	SBIW R30,0
	BRNE _0x43
;     481 		CLCD_Command_Data(0x16,0x00a8);			// Memory Access Contro : MV=1, MX=0, MY=1, BGR=1 mode.
	CALL SUBOPT_0x9
	LDI  R30,LOW(168)
	LDI  R31,HIGH(168)
	CALL SUBOPT_0xA
;     482 		_screen_mode = _SCREEN_COLUMN_SET;		// ȭ  ġ
	CLR  R10
	CLR  R11
;     483 		_screen_xmax = x2;				// θ ִ밪
	RJMP _0xED
;     484 		_screen_ymax = y2;				// θ ִ밪
;     485 	}
;     486 	else{
_0x43:
;     487 		CLCD_Command_Data(0x16,0x00c8);			// Memory Access Contro : MV=1, MX=1, MY=1, BGR=1 mode.
	CALL SUBOPT_0x9
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	CALL SUBOPT_0xA
;     488 		_screen_mode = _SCREEN_ROW_SET;			// ȭ  ġ
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	MOVW R10,R30
;     489 		_screen_xmax = x2;				// θ ִ밪
_0xED:
	__GETWRS 12,13,2
;     490 		_screen_ymax = y2;				// θ ִ밪
	LD   R30,Y
	LDD  R31,Y+1
	STS  __screen_ymax,R30
	STS  __screen_ymax+1,R31
;     491 	}
;     492 	CLCD_Command_Data(0x02,(x1>>8)&0xff);			// Column Address Start Register SC[8..15]
	CALL SUBOPT_0xB
	LDD  R30,Y+9
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xA
;     493 	CLCD_Command_Data(0x03,x1&0xff);			// Column Address Start Register SC[0..7]
	LDI  R30,LOW(3)
	LDI  R31,HIGH(3)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xA
;     494 
;     495 	CLCD_Command_Data(0x06,(y1>>8)&0xff);			// Row Address Start Register SP[8..15]
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+7
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xA
;     496 	CLCD_Command_Data(0x07,y1&0xff);			// Row Address Start Register SP[0..7]
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xA
;     497 
;     498 	CLCD_Command_Data(0x04,(x2>>8)&0xff);			// Column Address End Register EC[8..15]
	LDI  R30,LOW(4)
	LDI  R31,HIGH(4)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+5
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xA
;     499 	CLCD_Command_Data(0x05,x2&0xff);			// Column Address End Register EC[0..7]
	CALL SUBOPT_0xC
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xA
;     500 
;     501 	CLCD_Command_Data(0x08,(y2>>8)&0xff);			// Row Address End Register EP[8..15]
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+3
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xA
;     502 	CLCD_Command_Data(0x09,y2&0xff);			// Row Address End Register EP[0..7]
	LDI  R30,LOW(9)
	LDI  R31,HIGH(9)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xA
;     503 }
	ADIW R28,10
	RET
;     504 
;     505 // ============================== TFT LCD ʱȭ ===============================
;     506 // [μ] void
;     507 // [] 320*240 TFT LCD :: 80System 16bit Bus
;     508 // -----------------------------------------------------------------------------
;     509 void Clcd_Init(void)
;     510 {
_Clcd_Init:
;     511 	lcd_delay(100);						// Power ON ð 
	CALL SUBOPT_0xD
;     512 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0x5
;     513 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
	CALL SUBOPT_0xE
;     514 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Instruction Set
	SBI  0x3,5
;     515 
;     516 	PORTA=0xff;						// PORTA OUTPUT = 0xff
	LDI  R30,LOW(255)
	OUT  0x1B,R30
;     517 	DDRA=0xff;                                              // PORTA(CLCD_D[0..7] = OUTPUT MODE)
	OUT  0x1A,R30
;     518 	PORTC=0xff;						// PORTC OUTPUT = 0xff
	OUT  0x15,R30
;     519 	DDRC=0xff;                                              // PORTC(CLCD_D[8..15] = OUTPUT MODE)
	OUT  0x14,R30
;     520 
;     521 // ׷ LCD 
;     522 	PORTE &= 0xbf;						// PORTE.6(RST\) = 0
	CBI  0x3,6
;     523 	lcd_delay(100);						// reset ð 
	CALL SUBOPT_0xD
;     524 	PORTE |= 0x40;						// PORTE.6(RST\) = 1
	SBI  0x3,6
;     525 	lcd_delay(50);						// reset ð 
	LDI  R30,LOW(50)
	LDI  R31,HIGH(50)
	CALL SUBOPT_0xF
;     526 
;     527 // init_lcd_registers
;     528 //Gamma setting
;     529  	CLCD_Command_Data(0x0046,0x0081);			// Gamma(1)
	LDI  R30,LOW(70)
	LDI  R31,HIGH(70)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(129)
	LDI  R31,HIGH(129)
	CALL SUBOPT_0xA
;     530  	CLCD_Command_Data(0x0047,0x0010);			// Gamma(2)
	LDI  R30,LOW(71)
	LDI  R31,HIGH(71)
	CALL SUBOPT_0x10
;     531  	CLCD_Command_Data(0x0048,0x0001);			// Gamma(3)
	LDI  R30,LOW(72)
	LDI  R31,HIGH(72)
	CALL SUBOPT_0x11
	RCALL _CLCD_Command_Data
;     532 	CLCD_Command_Data(0x0049,0x0004);			// Gamma(4)
	LDI  R30,LOW(73)
	LDI  R31,HIGH(73)
	CALL SUBOPT_0x12
;     533 	CLCD_Command_Data(0x004A,0x0010);			// Gamma(5)
	LDI  R30,LOW(74)
	LDI  R31,HIGH(74)
	CALL SUBOPT_0x10
;     534 	CLCD_Command_Data(0x004B,0x0076);			// Gamma(6)
	LDI  R30,LOW(75)
	LDI  R31,HIGH(75)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(118)
	LDI  R31,HIGH(118)
	CALL SUBOPT_0xA
;     535 	CLCD_Command_Data(0x004C,0x0037);			// Gamma(7)
	LDI  R30,LOW(76)
	LDI  R31,HIGH(76)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(55)
	LDI  R31,HIGH(55)
	CALL SUBOPT_0xA
;     536 	CLCD_Command_Data(0x004D,0x0067);			// Gamma(8)
	LDI  R30,LOW(77)
	LDI  R31,HIGH(77)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(103)
	LDI  R31,HIGH(103)
	CALL SUBOPT_0xA
;     537 	CLCD_Command_Data(0x004E,0x0007);			// Gamma(9)
	LDI  R30,LOW(78)
	LDI  R31,HIGH(78)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CALL SUBOPT_0xA
;     538 	CLCD_Command_Data(0x004F,0x0014);			// Gamma(10)
	LDI  R30,LOW(79)
	LDI  R31,HIGH(79)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(20)
	LDI  R31,HIGH(20)
	CALL SUBOPT_0xA
;     539 	CLCD_Command_Data(0x0050,0x000A);			// Gamma(11)
	LDI  R30,LOW(80)
	LDI  R31,HIGH(80)
	CALL SUBOPT_0x13
;     540 	CLCD_Command_Data(0x0051,0x000E);			// Gamma(12)
	LDI  R30,LOW(81)
	LDI  R31,HIGH(81)
	CALL SUBOPT_0x14
;     541 
;     542 //Window Setting
;     543    	CLCD_Command_Data(0x0002,0x0000);			// Column Address2
	CALL SUBOPT_0xB
	CALL SUBOPT_0x6
	RCALL _CLCD_Command_Data
;     544 	CLCD_Command_Data(0x0003,0x0000);			// Column Address1
	LDI  R30,LOW(3)
	LDI  R31,HIGH(3)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     545 	CLCD_Command_Data(0x0004,0x0000);			// Column End2
	LDI  R30,LOW(4)
	LDI  R31,HIGH(4)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     546 	CLCD_Command_Data(0x0005,0x00EF);			// Column End1 :: 239
	CALL SUBOPT_0xC
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	CALL SUBOPT_0xA
;     547 	CLCD_Command_Data(0x0006,0x0000);			// Row Address Start2
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     548 	CLCD_Command_Data(0x0007,0x0000);			// Row Address Start1
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     549 	CLCD_Command_Data(0x0008,0x0001);			// Row Address End2 :: 319
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL SUBOPT_0x11
	RCALL _CLCD_Command_Data
;     550 	CLCD_Command_Data(0x0009,0x003F);			// Row Address End1
	LDI  R30,LOW(9)
	LDI  R31,HIGH(9)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(63)
	LDI  R31,HIGH(63)
	CALL SUBOPT_0xA
;     551 
;     552 //Display Setting
;     553 	lcd_delay(10);						// 10ms Delay
	CALL SUBOPT_0x16
;     554 	CLCD_Command_Data(0x01,0x0006);				// Display Mode
	CALL SUBOPT_0x8
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	CALL SUBOPT_0xA
;     555 
;     556 	CLCD_Command_Data(0x16,0x00C8);				// Memory Access Control
	CALL SUBOPT_0x9
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	CALL SUBOPT_0xA
;     557 	CLCD_Command_Data(0x23,0x0095);				// Cycle Control 1
	LDI  R30,LOW(35)
	LDI  R31,HIGH(35)
	CALL SUBOPT_0x17
;     558 	CLCD_Command_Data(0x24,0x0095);				// Cycle Control 2
	LDI  R30,LOW(36)
	LDI  R31,HIGH(36)
	CALL SUBOPT_0x17
;     559 	CLCD_Command_Data(0x25,0x00FF);				// Cycle Control 3
	LDI  R30,LOW(37)
	LDI  R31,HIGH(37)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(255)
	LDI  R31,HIGH(255)
	CALL SUBOPT_0xA
;     560 	CLCD_Command_Data(0x27,0x0002);				// Display Control 2
	LDI  R30,LOW(39)
	LDI  R31,HIGH(39)
	CALL SUBOPT_0x18
;     561 	CLCD_Command_Data(0x28,0x0002);				// Display Control 3
	LDI  R30,LOW(40)
	LDI  R31,HIGH(40)
	CALL SUBOPT_0x18
;     562 	CLCD_Command_Data(0x29,0x0002);				// Display Control 4
	LDI  R30,LOW(41)
	LDI  R31,HIGH(41)
	CALL SUBOPT_0x18
;     563 	CLCD_Command_Data(0x2A,0x0002);				// Display Control 5
	LDI  R30,LOW(42)
	LDI  R31,HIGH(42)
	CALL SUBOPT_0x18
;     564 	CLCD_Command_Data(0x2C,0x0002);				// Display Control 6
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL SUBOPT_0x18
;     565 	CLCD_Command_Data(0x2D,0x0002);				// Display Control 7
	LDI  R30,LOW(45)
	LDI  R31,HIGH(45)
	CALL SUBOPT_0x18
;     566 
;     567 	CLCD_Command_Data(0x003A,0x0001);			// Cycle Control 1
	LDI  R30,LOW(58)
	LDI  R31,HIGH(58)
	CALL SUBOPT_0x11
	RCALL _CLCD_Command_Data
;     568 	CLCD_Command_Data(0x003B,0x0001);			// Cycle Control 2
	LDI  R30,LOW(59)
	LDI  R31,HIGH(59)
	CALL SUBOPT_0x11
	RCALL _CLCD_Command_Data
;     569 	CLCD_Command_Data(0x003C,0x00F0);			// Cycle Control 3
	CALL SUBOPT_0x19
	LDI  R30,LOW(240)
	LDI  R31,HIGH(240)
	CALL SUBOPT_0xA
;     570 	CLCD_Command_Data(0x003D,0x0000);			// Cycle Control 4
	LDI  R30,LOW(61)
	LDI  R31,HIGH(61)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     571 	lcd_delay(20);						// 20ms Delay
	LDI  R30,LOW(20)
	LDI  R31,HIGH(20)
	CALL SUBOPT_0xF
;     572 	CLCD_Command_Data(0x35,0x0038);				// Display Control 9
	LDI  R30,LOW(53)
	LDI  R31,HIGH(53)
	CALL SUBOPT_0x1A
;     573 	CLCD_Command_Data(0x36,0x0078);				// Display Control 10
	LDI  R30,LOW(54)
	LDI  R31,HIGH(54)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(120)
	LDI  R31,HIGH(120)
	CALL SUBOPT_0xA
;     574 	CLCD_Command_Data(0x3E,0x0038);				// Cycle Control 5
	LDI  R30,LOW(62)
	LDI  R31,HIGH(62)
	CALL SUBOPT_0x1A
;     575 	CLCD_Command_Data(0x40,0x000F);				// Cycle Control 6
	LDI  R30,LOW(64)
	LDI  R31,HIGH(64)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(15)
	LDI  R31,HIGH(15)
	CALL SUBOPT_0xA
;     576 	CLCD_Command_Data(0x41,0x00F0); 			// Cycle Control 7
	LDI  R30,LOW(65)
	LDI  R31,HIGH(65)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(240)
	LDI  R31,HIGH(240)
	CALL SUBOPT_0xA
;     577 
;     578 	CLCD_Command_Data(0x38,0x0000);				// RGB Interface Control1
	LDI  R30,LOW(56)
	LDI  R31,HIGH(56)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     579 
;     580 // Power Setting
;     581  	CLCD_Command_Data(0x19,0x0049);				// OCS Control1
	LDI  R30,LOW(25)
	LDI  R31,HIGH(25)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(73)
	LDI  R31,HIGH(73)
	CALL SUBOPT_0xA
;     582 	CLCD_Command_Data(0x93,0x000A);				// DCCLK SYNC TO CL1
	LDI  R30,LOW(147)
	LDI  R31,HIGH(147)
	CALL SUBOPT_0x13
;     583 	lcd_delay(10);						// 10ms Delay
	CALL SUBOPT_0x16
;     584 	CLCD_Command_Data(0x20,0x0050);				// Power Control 06
	LDI  R30,LOW(32)
	LDI  R31,HIGH(32)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(80)
	LDI  R31,HIGH(80)
	CALL SUBOPT_0xA
;     585 	CLCD_Command_Data(0x1D,0x0004);				// Power Control 03
	LDI  R30,LOW(29)
	LDI  R31,HIGH(29)
	CALL SUBOPT_0x12
;     586 	CLCD_Command_Data(0x1E,0x0001);				// Power Control 04
	LDI  R30,LOW(30)
	LDI  R31,HIGH(30)
	CALL SUBOPT_0x11
	RCALL _CLCD_Command_Data
;     587 
;     588 	CLCD_Command_Data(0x1F,0x0008);				// Power Control 05
	LDI  R30,LOW(31)
	LDI  R31,HIGH(31)
	CALL SUBOPT_0x1B
;     589 	CLCD_Command_Data(0x44,0x0054); 			// VCOM Control2
	LDI  R30,LOW(68)
	LDI  R31,HIGH(68)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(84)
	LDI  R31,HIGH(84)
	CALL SUBOPT_0xA
;     590 //	CLCD_Command_Data(0x45,0x0010);				// VCom control3 :: original value for 3.0 Volts power supply
;     591 	CLCD_Command_Data(0x45,0x000e);				// VCom control3 :: by Brain for 3.3Volts power supply
	LDI  R30,LOW(69)
	LDI  R31,HIGH(69)
	CALL SUBOPT_0x14
;     592 	lcd_delay(10);						// 10ms Delay
	CALL SUBOPT_0x16
;     593 	CLCD_Command_Data(0x1C,0x0004); 			// Power Control2
	LDI  R30,LOW(28)
	LDI  R31,HIGH(28)
	CALL SUBOPT_0x12
;     594 	lcd_delay(20);						// 20ms Delay
	LDI  R30,LOW(20)
	LDI  R31,HIGH(20)
	CALL SUBOPT_0xF
;     595 	CLCD_Command_Data(0x43,0x0080);				// VCOM Control1
	LDI  R30,LOW(67)
	LDI  R31,HIGH(67)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(128)
	LDI  R31,HIGH(128)
	CALL SUBOPT_0xA
;     596 	lcd_delay(5);						// 5ms Delay
	CALL SUBOPT_0xC
	RCALL _lcd_delay
;     597 	CLCD_Command_Data(0x1B,0x0008);				// Power Control1
	LDI  R30,LOW(27)
	LDI  R31,HIGH(27)
	CALL SUBOPT_0x1B
;     598 	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x1C
;     599 	CLCD_Command_Data(0x1B,0x0010);				//  Power Control1
	LDI  R30,LOW(27)
	LDI  R31,HIGH(27)
	CALL SUBOPT_0x10
;     600 	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x1C
;     601 
;     602 //Display On Setting
;     603 	CLCD_Command_Data(0x90,0x007F);				// Display Control8
	LDI  R30,LOW(144)
	LDI  R31,HIGH(144)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(127)
	LDI  R31,HIGH(127)
	CALL SUBOPT_0xA
;     604 	CLCD_Command_Data(0x26,0x0004);				// Display Control1
	LDI  R30,LOW(38)
	LDI  R31,HIGH(38)
	CALL SUBOPT_0x12
;     605  	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x1C
;     606 	CLCD_Command_Data(0x26,0x0024);				// Display Control1
	CALL SUBOPT_0x1D
	LDI  R30,LOW(36)
	LDI  R31,HIGH(36)
	CALL SUBOPT_0xA
;     607 	CLCD_Command_Data(0x26,0x002C);				// Display Control1
	CALL SUBOPT_0x1D
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL SUBOPT_0xA
;     608  	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x1C
;     609 	CLCD_Command_Data(0x26,0x003C); 			// Display Control1
	CALL SUBOPT_0x1D
	LDI  R30,LOW(60)
	LDI  R31,HIGH(60)
	CALL SUBOPT_0xA
;     610   	CLCD_Command_Data(0x57,0x0002);
	LDI  R30,LOW(87)
	LDI  R31,HIGH(87)
	CALL SUBOPT_0x18
;     611 	CLCD_Command_Data(0x55,0x0000);
	LDI  R30,LOW(85)
	LDI  R31,HIGH(85)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     612 	CLCD_Command_Data(0x57,0x0000);
	LDI  R30,LOW(87)
	LDI  R31,HIGH(87)
	CALL SUBOPT_0x15
	RCALL _CLCD_Command_Data
;     613 
;     614 	ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);//  ǥ ȭ 
	CALL SUBOPT_0x6
	CALL SUBOPT_0x6
	CALL SUBOPT_0x6
	CALL SUBOPT_0x7
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
;     615 }
	RET
;     616 
;     617 // ======================= Command Register NO+Data write ====================
;     618 // [μ] int regnum,unsigned datau
;     619 // Item1: Register No.
;     620 // Item2:  
;     621 // ---------------------------------------------------------------------------
;     622 void CLCD_Command_Data(int regnum,unsigned datau)
;     623 {
_CLCD_Command_Data:
;     624 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
;	regnum -> Y+2
;	datau -> Y+0
	CALL SUBOPT_0xE
;     625 // regnum write
;     626 	PORTE &= ~0x20;						// PORTE.5 :: CLCD RS = 0 :: Instruction Set
	CALL SUBOPT_0x1E
;     627 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;     628 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     629 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
;     630 
;     631 	PORTC = 0;						// CLCD_D[8..15] = 0
;     632 	PORTA = regnum & 0xff;					// CLCD_D[0..7] = regnum
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	CALL SUBOPT_0x1F
;     633 
;     634 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     635 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     636 
;     637 // data 16bit write
;     638 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	SBI  0x3,5
;     639 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	LDS  R30,101
	ANDI R30,0xFB
	STS  101,R30
;     640 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	LDS  R30,101
	ANDI R30,0xFE
	STS  101,R30
;     641 
;     642 	PORTC = (datau >> 8) & 0xff;				// PORTC = datau[8..15] high byte
	LDD  R30,Y+1
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
;     643 	PORTA = datau & 0xff;					// PORTA = datau[0..7]  low  byte
	LD   R30,Y
	LDD  R31,Y+1
	CALL SUBOPT_0x1F
;     644 
;     645 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     646 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     647 }
_0xEA:
	ADIW R28,4
	RET
;     648 
;     649 // ======================== Command Register NO. write =======================
;     650 // [μ] int regnum,unsigned datau
;     651 // Item1: Register No.
;     652 // ---------------------------------------------------------------------------
;     653 void CLCD_Command(int regnum)
;     654 {
_CLCD_Command:
;     655 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
;	regnum -> Y+0
	CALL SUBOPT_0xE
;     656 // regnum write
;     657 	PORTE &= ~0x20;						// PORTE.5 :: CLCD RS = 0 :: Instruction Set
	CALL SUBOPT_0x1E
;     658 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;     659 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     660 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
;     661 
;     662 	PORTC = 0;						// CLCD_D[8..15] = 0
;     663 	PORTA = regnum & 0xff;					// CLCD_D[0..7] = regnum
	LD   R30,Y
	LDD  R31,Y+1
	CALL SUBOPT_0x1F
;     664 
;     665 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     666 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     667 }
	ADIW R28,2
	RET
;     668 
;     669 // ======================= Command Register Data write =======================
;     670 // [μ] unsigned datau
;     671 // Item1:  
;     672 // ---------------------------------------------------------------------------
;     673 void CLCD_Cdata(unsigned datau)
;     674 {
;     675 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
;	datau -> Y+0
;     676 // data 16bit write
;     677 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;     678 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;     679 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     680 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
;     681 
;     682 	PORTC = (datau >> 8) & 0xff;				// PORTC = datau[8..15] high byte
;     683 	PORTA = datau & 0xff;					// PORTA = datau[0..7]  low  byte
;     684 
;     685 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;     686 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     687 }
;     688 
;     689 // ========================== Graphic RAM Data Read ==========================
;     690 // [μ] void
;     691 // []  ġ ȼ .
;     692 // ---------------------------------------------------------------------------
;     693 unsigned CLCD_GRAM_dread(void)
;     694 {
;     695 unsigned datau,datau1,datau2,datau3;
;     696 
;     697 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;	datau -> R16,R17
;	datau1 -> R18,R19
;	datau2 -> R20,R21
;	datau3 -> Y+6
;     698 	PORTA=0xff;						// PORTA Է PULL UP SET
;     699 	DDRA=0x00;                                              // PORTA(CLCD_D[0..7] = INPUT MODE)
;     700 	PORTC=0xff;						// PORTA Է PULL UP SET
;     701 	DDRC=0x00;                                              // PORTC(CLCD_D[8..15] = INPUT MODE)
;     702 
;     703 	PORTE |= 0x28;						// PORTE.5 :: CLCD RS = 1 :: Data Set,CLCD_164245_DIR = 1 :: RD Mode
;     704 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
;     705 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;     706 
;     707 // dummy data read
;     708 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
;     709 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
;     710 // data read R
;     711 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
;     712 	datau1 = PINA & 0xff;					// CLCD_D[0..7]
;     713 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
;     714 // data read G
;     715 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
;     716 	datau2 = PINA & 0xff;					// CLCD_D[0..7]
;     717 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
;     718 // data read B
;     719 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
;     720 	datau3 = PINA & 0xff;					// CLCD_D[0..7]
;     721 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
;     722 
;     723 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;     724 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;     725 
;     726 	PORTA=0xff;						// PORTA OUTPUT = 0xff
;     727 	DDRA=0xff;                                              // PORTC(CLCD_D[0..7] = OUTPUT MODE)
;     728 	PORTC=0xff;						// PORTC OUTPUT = 0xff
;     729 	DDRC=0xff;                                              // PORTC(CLCD_D[8..15] = OUTPUT MODE)
;     730 
;     731 // RRRRR GGGGGG BBBBB
;     732 	datau = (datau1 << 8) & 0xf800;				// RED Data
;     733 	datau |= (datau2 << 3) & 0x07e0;			// GREEN Data
;     734 	datau |= (datau3 >> 3) & 0x001f;			// BLUE Data
;     735 	return(datau);
;     736 }
;     737 
;     738 // ============================== LCD Delay xxxms ============================
;     739 // [μ] unsigned short time
;     740 // Item1: ð time * 1ms
;     741 // ---------------------------------------------------------------------------
;     742 void lcd_delay(unsigned short time)
;     743 {
_lcd_delay:
;     744 unsigned short i,j;
;     745 
;     746   	for(i=0;i<time;i++){
	CALL __SAVELOCR4
;	time -> Y+4
;	i -> R16,R17
;	j -> R18,R19
	__GETWRN 16,17,0
_0x46:
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	CP   R16,R30
	CPC  R17,R31
	BRSH _0x47
;     747  		for(j=0;j<800;j++) #asm ("nop")
	__GETWRN 18,19,0
_0x49:
	__CPWRN 18,19,800
	BRSH _0x4A
	nop
	__ADDWRN 18,19,1
	JMP  _0x49
_0x4A:
;     748 	}
	__ADDWRN 16,17,1
	JMP  _0x46
_0x47:
;     749 }
	RJMP _0xE9
;     750 
;     751 #include "touch.inc"							// ġ 
;     752 // ================================= ġ  α׷ =======================
;     753 //      : TSC2003
;     754 // ----------------------------------------------------------------------------
;     755 // Լ 
;     756 int Touch_Data(int scan_time);						// ġ  
;     757 void TSC2003_Setup(void);						// I2c ʱȭ TSC2003ʱȭ
;     758 void TSC2003_Write(unsigned char byte);					// TSC2003 ġ Write
;     759 unsigned TSC2003_Word_Read(unsigned char cmd);				// TSC2003 ġ Word Read
;     760 
;     761 //  
;     762 int Touch_X = 0,Touch_Y = 0;						// ġ ġ  

	.DSEG
_Touch_X:
	.BYTE 0x2
_Touch_Y:
	.BYTE 0x2
;     763 
;     764 // ========================== ġκ ͸  =======================
;     765 // [μ] int scan_time
;     766 // Item1: ġ SCAN Timne(scan_time * 10ms)
;     767 // [] 1( ȿ),0( )
;     768 // [] Touch_X,Touch_Y : ġ  
;     769 //        _screen_mode :  ȭ 
;     770 // ---------------------------------------------------------------------------
;     771 int Touch_Data(int scan_time)
;     772 {

	.CSEG
_Touch_Data:
;     773 int x,y;
;     774 
;     775 	if((PINE&0x80) == 0){						// ġ ?
	CALL __SAVELOCR4
;	scan_time -> Y+4
;	x -> R16,R17
;	y -> R18,R19
	SBIC 0x1,7
	RJMP _0x4B
;     776 		if(timer0_touch_cnt >= scan_time){			// ġ  üũ Ÿ scan_time*10ms
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	CP   R8,R30
	CPC  R9,R31
	BRLT _0x4C
;     777 			x = TSC2003_Word_Read(0xcc);			// X  / 12bit / ADC ON
	LDI  R30,LOW(204)
	ST   -Y,R30
	RCALL _TSC2003_Word_Read
	MOVW R16,R30
;     778 			y = TSC2003_Word_Read(0xdc);			// Y  / 12bit / ADC ON
	LDI  R30,LOW(220)
	ST   -Y,R30
	RCALL _TSC2003_Word_Read
	MOVW R18,R30
;     779 			TSC2003_Write(0x38);				// PENIRQ ready mode
	LDI  R30,LOW(56)
	ST   -Y,R30
	RCALL _TSC2003_Write
;     780 			if(_screen_mode == _SCREEN_COLUMN_SET){		// ι 
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x4D
;     781 				Touch_X = 4095 - y;			// ġ 12bit a/d
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	SUB  R30,R18
	SBC  R31,R19
	STS  _Touch_X,R30
	STS  _Touch_X+1,R31
;     782 				Touch_Y = 4095 - x;			// ġ 12bit a/d
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	SUB  R30,R16
	SBC  R31,R17
	RJMP _0xEE
;     783 			}
;     784 			else{						// ι 
_0x4D:
;     785 				Touch_X = x;				// ǥ ٲ
	__PUTWMRN _Touch_X,0,16,17
;     786 				Touch_Y = 4095 - y;			// ġ 12bit a/d
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	SUB  R30,R18
	SBC  R31,R19
_0xEE:
	STS  _Touch_Y,R30
	STS  _Touch_Y+1,R31
;     787 			}
;     788 			timer0_touch_cnt = 0;				// timer clear
	CLR  R8
	CLR  R9
;     789 			return(1);
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	RJMP _0xE9
;     790 		}
;     791 	}
_0x4C:
;     792 	else timer0_touch_cnt = 0;					//  
	RJMP _0x4F
_0x4B:
	CLR  R8
	CLR  R9
;     793 	return(0);
_0x4F:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
_0xE9:
	CALL __LOADLOCR4
	ADIW R28,6
	RET
;     794 }
;     795 
;     796 // ================================ TSC2003 Setup ============================
;     797 // [μ] void
;     798 // ---------------------------------------------------------------------------
;     799 void TSC2003_Setup(void)
;     800 {
_TSC2003_Setup:
;     801 // TWI(I2c) setup
;     802 	TWBR = 0x0c;							// Bit Rate: 400.000 kHz
	LDI  R30,LOW(12)
	STS  112,R30
;     803 	TWDR = 0xff;							// TWI DATA = 0xff
	LDI  R30,LOW(255)
	STS  115,R30
;     804 	TWSR = 0x00;							//  Clear , prescaler = 00(1)
	LDI  R30,LOW(0)
	STS  113,R30
;     805 
;     806 // TSC2003 setup
;     807 	TSC2003_Write(0x38);						// PENIRQ ready mode
	LDI  R30,LOW(56)
	ST   -Y,R30
	RCALL _TSC2003_Write
;     808 }
	RET
;     809 
;     810 // ================================ TSC2003 Write ============================
;     811 // [μ] unsigned char datau
;     812 // Item1:  
;     813 // ---------------------------------------------------------------------------
;     814 void TSC2003_Write(unsigned char datau)
;     815 {
_TSC2003_Write:
;     816 	TWCR = 0xa4;							// START
;	datau -> Y+0
	LDI  R30,LOW(164)
	STS  116,R30
;     817 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x08));
_0x50:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x53
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x8)
	BREQ _0x52
_0x53:
	RJMP _0x50
_0x52:
;     818 	TWDR = 0x90;							// Address 0 + write
	CALL SUBOPT_0x20
;     819 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;     820 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x18));
_0x55:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x58
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x18)
	BREQ _0x57
_0x58:
	RJMP _0x55
_0x57:
;     821 	TWDR = datau;							// data ۽
	LD   R30,Y
	CALL SUBOPT_0x21
;     822 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;     823 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x28));
_0x5A:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x5D
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x28)
	BREQ _0x5C
_0x5D:
	RJMP _0x5A
_0x5C:
;     824 
;     825 	TWCR = 0x94;							// Ϸ 
	LDI  R30,LOW(148)
	STS  116,R30
;     826 }
	ADIW R28,1
	RET
;     827 
;     828 // =============================== TSC2003 word Read =========================
;     829 // [μ] unsigned char cmd
;     830 // Item1: ġ  command 
;     831 // ---------------------------------------------------------------------------
;     832 unsigned TSC2003_Word_Read(unsigned char cmd)
;     833 {
_TSC2003_Word_Read:
;     834 unsigned char byte;
;     835 unsigned rdatau = 0;
;     836 
;     837 	TWCR = 0xa4;							// START
	CALL __SAVELOCR4
;	cmd -> Y+4
;	byte -> R17
;	rdatau -> R18,R19
	LDI  R18,0
	LDI  R19,0
	LDI  R30,LOW(164)
	STS  116,R30
;     838 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x08));
_0x5F:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x62
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x8)
	BREQ _0x61
_0x62:
	RJMP _0x5F
_0x61:
;     839 	TWDR = 0x90;							// Address 0 + write
	CALL SUBOPT_0x20
;     840 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;     841 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x18));
_0x64:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x67
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x18)
	BREQ _0x66
_0x67:
	RJMP _0x64
_0x66:
;     842 	TWDR = cmd;							// cmd data ۽
	LDD  R30,Y+4
	CALL SUBOPT_0x21
;     843 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;     844 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x28));
_0x69:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x6C
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x28)
	BREQ _0x6B
_0x6C:
	RJMP _0x69
_0x6B:
;     845 
;     846 	TWCR = 0xa4;							// START
	LDI  R30,LOW(164)
	STS  116,R30
;     847 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x10));	//  ?
_0x6E:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x71
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x10)
	BREQ _0x70
_0x71:
	RJMP _0x6E
_0x70:
;     848 	TWDR = 0x91;   							// Address 0 + read
	LDI  R30,LOW(145)
	CALL SUBOPT_0x21
;     849 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;     850 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x40));	// SLA-R Ϸ?
_0x73:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x76
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x40)
	BREQ _0x75
_0x76:
	RJMP _0x73
_0x75:
;     851 	TWCR = 0xc4;							// data read
	LDI  R30,LOW(196)
	STS  116,R30
;     852 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x50));	// data  ACK?
_0x78:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x7B
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x50)
	BREQ _0x7A
_0x7B:
	RJMP _0x78
_0x7A:
;     853 	rdatau = TWDR;
	LDS  R18,115
	CLR  R19
;     854 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
	LDI  R30,LOW(132)
	STS  116,R30
;     855 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x58));	// data  ACK?
_0x7D:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x80
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x58)
	BREQ _0x7F
_0x80:
	RJMP _0x7D
_0x7F:
;     856 	byte = TWDR;
	LDS  R17,115
;     857 
;     858 	TWCR = 0x94;							// Ϸ 
	LDI  R30,LOW(148)
	STS  116,R30
;     859 
;     860 	rdatau =  (rdatau << 4) & 0x0ff0;				// D11-D4
	MOVW R30,R18
	CALL __LSLW4
	ANDI R30,LOW(0xFF0)
	ANDI R31,HIGH(0xFF0)
	MOVW R18,R30
;     861 	rdatau |= (unsigned)((byte >> 4) & 0x0f);			// D3-D0
	MOV  R30,R17
	SWAP R30
	ANDI R30,LOW(0xF)
	LDI  R31,0
	__ORWRR 18,19,30,31
;     862 
;     863 	return rdatau;
	MOVW R30,R18
	CALL __LOADLOCR4
	ADIW R28,5
	RET
;     864 }
;     865 
;     866 //  ̹  
;     867 //#include "sample1_8.txt"						// ̹  8bit  150*120
;     868 #include "sample2_8.txt"						// ̹  8bit  200*120
;     869 // x : 200
;     870 // y : 120
;     871 // BGR : 233
;     872 unsigned char flash image_temp8_1[24000]={
;     873 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     874 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     875 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     876 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     877 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     878 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     879 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     880 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     881 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     882 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     883 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     884 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     885 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     886 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     887 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     888 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     889 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     890 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     891 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     892 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     893 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     894 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     895 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     896 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     897 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     898 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     899 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     900 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     901 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     902 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     903 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     904 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     905 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     906 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     907 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     908 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     909 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     910 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     911 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     912 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     913 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     914 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     915 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     916 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     917 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     918 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     919 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     920 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     921 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     922 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     923 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     924 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     925 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     926 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     927 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     928 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     929 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     930 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     931 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     932 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     933 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     934 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     935 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     936 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     937 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     938 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     939 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     940 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     941 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     942 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     943 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     944 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     945 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     946 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     947 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     948 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     949 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     950 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     951 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     952 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     953 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     954 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     955 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     956 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     957 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     958 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     959 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     960 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     961 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     962 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     963 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     964 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     965 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     966 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     967 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     968 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     969 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     970 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     971 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     972 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     973 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     974 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     975 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     976 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     977 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     978 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     979 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     980 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     981 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     982 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     983 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     984 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     985 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     986 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     987 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     988 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     989 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     990 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     991 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     992 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     993 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     994 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     995 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     996 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     997 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     998 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;     999 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1000 	0xf7,0xf7,0xaf,0xaf,0xaf,0xae,0xae,0xae,0xae,0xaf,0xaf,0xf7,0xf7,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1001 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1002 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1003 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1004 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1005 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1006 	0xf7,0xaf,0xa6,0x5e,0x56,0x55,0x0d,0x0d,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x0d,0x0d,0x55,0x56,0x5e,0xa6,0xaf,0xf7,0xff,0xff,
;    1007 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1008 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1009 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1010 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1011 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1012 	0xff,0xff,0xff,0xf7,0xaf,0xa6,0x55,0x0d,0x05,0x05,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,
;    1013 	0x04,0x04,0x04,0x04,0x05,0x05,0x0d,0x55,0xa6,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1014 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1015 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1016 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1017 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1018 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x5e,0x0d,0x05,0x05,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1019 	0x05,0x05,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x05,0x05,0x0d,0x5e,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1020 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1021 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1022 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1023 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1024 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xa6,0x55,0x05,0x04,0x04,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1025 	0x05,0x05,0x05,0x05,0x05,0x04,0x05,0x04,0x05,0x05,0x05,0x05,0x04,0x05,0x04,0x04,0x04,0x05,0x05,0x04,0x04,0x05,0x05,0x05,0x04,0x05,0x04,0x04,0x04,0x04,0x05,0x55,
;    1026 	0xae,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1027 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1028 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1029 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1030 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xae,0x55,0x05,0x04,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1031 	0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,
;    1032 	0x04,0x04,0x04,0x04,0x05,0x05,0x04,0x04,0x04,0x05,0x55,0xae,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1033 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1034 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1035 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1036 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x5e,0x0d,0x04,0x04,0x04,0x05,0x05,0x05,
;    1037 	0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x05,0x05,0x05,0x0d,0x0d,0x55,0x56,0x5e,0x5e,0xa6,0xa6,0xa6,
;    1038 	0xa6,0xa6,0xa6,0xa6,0x5e,0x5e,0x56,0x55,0x0d,0x0d,0x05,0x05,0x05,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x0d,0x5e,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1039 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1040 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1041 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1042 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x55,0x05,
;    1043 	0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0x05,0x05,0x04,0x04,0x04,0x04,0x05,0x05,0x0d,0x55,0x5e,0xa6,0xaf,0xf7,0xff,0xff,
;    1044 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xf7,0xaf,0xa6,0x5e,0x0d,0x0d,0x05,0x04,0x04,0x04,0x04,0x04,0x56,
;    1045 	0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1046 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1047 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1048 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1049 	0xff,0xff,0xff,0xaf,0x55,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x04,0x05,0x05,0x0d,0x5e,0xa6,0xf7,
;    1050 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1051 	0xff,0xaf,0xa6,0x5e,0x0d,0x05,0x04,0x04,0x04,0x55,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1052 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1053 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1054 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1055 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x55,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x05,
;    1056 	0x0d,0x5e,0xa6,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1057 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xa6,0x55,0x0d,0x04,0x04,0x55,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1058 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1059 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1060 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1061 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x5e,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1062 	0x05,0x04,0x04,0x04,0x05,0x0d,0x5e,0xae,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1063 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xa6,0x56,0x05,0x05,0x5e,0xf7,0xff,
;    1064 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1065 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1066 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1067 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa6,0x0d,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,
;    1068 	0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x0d,0x56,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1069 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1070 	0xff,0xff,0xff,0xf7,0xa6,0x0d,0x0d,0xa6,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1071 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1072 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1073 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x55,0x04,0x04,
;    1074 	0x05,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x05,0x0d,0x5e,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1075 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1076 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xae,0x56,0x5e,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1077 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1078 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1079 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1080 	0xff,0xff,0xff,0xa6,0x05,0x04,0x04,0x05,0x05,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x05,0x0d,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1081 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1082 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0xa6,0xf7,0xff,0xff,0xff,0xff,0xff,
;    1083 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1084 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1085 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1086 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0x0d,0xa6,0xff,0xff,
;    1087 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1088 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1089 	0xff,0xff,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1090 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1091 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1092 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x55,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0x05,0x05,0x05,0x05,
;    1093 	0x04,0x04,0x0d,0xa6,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1094 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1095 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1096 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1097 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1098 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x0d,0x04,0x04,0x05,0x05,0x05,0x05,0x05,
;    1099 	0x05,0x05,0x04,0x05,0x05,0x05,0x05,0x04,0x05,0x5e,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1100 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1101 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1102 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1103 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1104 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x0d,
;    1105 	0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x0d,0xae,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1106 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1107 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1108 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1109 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1110 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1111 	0xff,0xff,0xff,0xff,0xff,0xaf,0x0d,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x5e,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1112 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1113 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1114 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1115 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1116 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1117 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0xa6,0xff,0xff,
;    1118 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1119 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1120 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1121 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1122 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1123 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1124 	0x05,0x05,0x04,0x0d,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1125 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1126 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1127 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1128 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1129 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x55,0x04,0x05,0x05,0x05,
;    1130 	0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0x04,0x55,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1131 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1132 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1133 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1134 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1135 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1136 	0xff,0xff,0x5e,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x55,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1137 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1138 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1139 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1140 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1141 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1142 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xae,0x04,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x55,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1143 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1144 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1145 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1146 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1147 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1148 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0x05,0x04,0x0d,
;    1149 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1150 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1151 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1152 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1153 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1154 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x04,0x05,0x05,0x05,0x05,0x05,0x05,
;    1155 	0x05,0x05,0x05,0x05,0x05,0x04,0x0d,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1156 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1157 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1158 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1159 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1160 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,
;    1161 	0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1162 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1163 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1164 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1165 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1166 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1167 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x55,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0x04,0xae,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1168 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1169 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1170 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1171 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1172 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1173 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x5e,0xff,0xff,0xff,
;    1174 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1175 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1176 	0xff,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1177 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1178 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1179 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1180 	0x05,0x05,0x04,0x0d,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1181 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0x0e,0x56,0x9f,
;    1182 	0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5f,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0xa7,0xff,0xff,0xff,0xff,0xa7,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0x5f,
;    1183 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1184 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1185 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x05,0x04,
;    1186 	0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1187 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1188 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0x07,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0xff,0x0f,0x06,
;    1189 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1190 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1191 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1192 	0xff,0xff,0xff,0xff,0xff,0xa6,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x55,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1193 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0e,0x06,
;    1194 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5f,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1195 	0x0f,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x07,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1196 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1197 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1198 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x15,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0xb7,0xff,0xff,0xff,0xff,0xff,
;    1199 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1200 	0xff,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xff,0xff,0xff,0x5f,
;    1201 	0x06,0x06,0x06,0x07,0x07,0x07,0x06,0x06,0x5f,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x07,0x07,0x07,0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1202 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1203 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1204 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x05,0x04,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,
;    1205 	0x04,0x55,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1206 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1207 	0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0x0f,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0xaf,0xff,0xff,0xff,0xff,0x57,0x06,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,
;    1208 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1209 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1210 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x04,0x05,0x05,
;    1211 	0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1212 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1213 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x07,0x07,0x07,0x06,0x07,0xff,0xff,0xff,0xff,0xf7,0x07,0x06,0x07,
;    1214 	0x07,0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1215 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1216 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1217 	0xff,0xff,0xff,0xff,0xa6,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1218 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,
;    1219 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0x5f,0x06,0x06,0x07,0x06,0x07,0x07,0x07,0x06,0x5f,
;    1220 	0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1221 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1222 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1223 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x55,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1224 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1225 	0xff,0xff,0xff,0xff,0x5f,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xff,0xff,0x0f,0x06,
;    1226 	0x06,0x07,0x07,0x06,0x06,0x07,0x06,0xaf,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1227 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1228 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1229 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,
;    1230 	0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1231 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1232 	0x06,0x06,0x0e,0xff,0xff,0xf7,0x06,0x07,0x07,0x07,0x07,0x06,0x07,0x06,0x07,0xff,0xff,0xff,0xff,0xff,0x07,0x06,0x06,0x06,0x07,0x07,0x07,0x06,0x06,0xf7,0xff,0xff,
;    1233 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1234 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1235 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,
;    1236 	0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1237 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xaf,0xaf,
;    1238 	0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0xff,0xa7,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xaf,0x06,0x07,0x06,0x06,
;    1239 	0x07,0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1240 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1241 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1242 	0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x0d,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1243 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,
;    1244 	0x06,0x06,0x06,0x06,0x56,0xff,0xff,0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xff,0xff,0x57,0x06,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,
;    1245 	0xff,0xff,0xff,0x57,0x06,0x07,0x06,0x06,0x07,0x07,0x07,0x06,0x5f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1246 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1247 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1248 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x56,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1249 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1250 	0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xff,0xff,0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xff,0xff,0x07,0x06,0x07,
;    1251 	0x07,0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,0xff,0xff,0x07,0x06,0x07,0x07,0x07,0x06,0x06,0x07,0x06,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1252 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1253 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1254 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x5e,
;    1255 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1256 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1257 	0x06,0x56,0xff,0xff,0xa7,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x0f,0xff,0xff,0xff,0xff,0xaf,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x0f,0xff,0xff,0xff,0xff,
;    1258 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1259 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1260 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,
;    1261 	0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1262 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x56,0xff,0xff,0xff,0xff,
;    1263 	0x5f,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xff,0x57,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0x5f,0x06,0x07,0x07,0x07,0x07,
;    1264 	0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1265 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1266 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1267 	0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1268 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,0x06,0x06,0x06,0x06,
;    1269 	0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0x07,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,
;    1270 	0xff,0xff,0x0f,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1271 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1272 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1273 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x04,0xae,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1274 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1275 	0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xaf,0x06,0x06,0x06,0x07,
;    1276 	0x07,0x07,0x06,0x06,0x0f,0xff,0xff,0xff,0xff,0xf7,0x07,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x07,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1277 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1278 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1279 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa6,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xa6,
;    1280 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1281 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1282 	0x9f,0xff,0xff,0x5f,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x5f,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x07,0x07,0x07,0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xff,
;    1283 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1284 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1285 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x04,0x05,0x05,
;    1286 	0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1287 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0x56,
;    1288 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0x0f,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0xf7,0xff,0xff,0xff,0xff,0x0f,0x06,0x07,0x07,0x07,0x07,0x06,
;    1289 	0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1290 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1291 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1292 	0xff,0xff,0xff,0xff,0xff,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1293 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1294 	0x06,0x06,0xf7,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xaf,0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,
;    1295 	0xf7,0x07,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1296 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1297 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1298 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x55,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x55,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1299 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1300 	0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0xff,0x5f,0x06,0x06,0x07,0x06,0x06,
;    1301 	0x06,0x07,0x06,0x5f,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x57,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1302 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1303 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1304 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa6,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x0d,
;    1305 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1306 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,
;    1307 	0xff,0xff,0x0f,0x06,0x07,0x06,0x07,0x06,0x06,0x07,0x06,0xaf,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,
;    1308 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1309 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1310 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x05,0x04,
;    1311 	0x04,0x05,0x05,0x05,0x05,0x05,0x04,0x05,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1312 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xff,0xff,0xff,0xaf,0x06,0x06,
;    1313 	0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xf7,0x07,0x06,0x06,0x06,0x07,0x06,0x06,0x06,0x0f,0xff,0xff,0xff,0xff,0xf7,0x07,0x06,0x06,0x07,0x07,0x07,0x07,0x06,
;    1314 	0x07,0xf7,0xff,0xff,0xff,0xf6,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0xad,0xff,0xff,0xff,0xff,0xf6,0x5b,0x5b,0x5b,0x5b,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,
;    1315 	0xff,0xff,0xff,0xf6,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0xff,0xff,0xff,0xff,0xff,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0xff,0xff,0xff,0xff,
;    1316 	0xff,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0x5b,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1317 	0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1318 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1319 	0x0e,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0xff,0xa7,0x06,0x06,0x07,0x06,0x06,0x07,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xa7,
;    1320 	0x06,0x07,0x06,0x07,0x07,0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,
;    1321 	0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
;    1322 	0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1323 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0x55,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1324 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5f,
;    1325 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xa7,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0x0f,0x06,0x07,0x07,0x07,0x06,0x06,
;    1326 	0x06,0x06,0xaf,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x07,0x06,0x06,0x07,0x06,0x06,0x5f,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
;    1327 	0x00,0xad,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0x5b,
;    1328 	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1329 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x04,
;    1330 	0x05,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1331 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,
;    1332 	0xf7,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x07,0xff,0xff,0xff,0xff,0xff,0x07,0x06,0x06,0x06,0x06,0x07,0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,
;    1333 	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa4,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x00,
;    1334 	0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x52,
;    1335 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,
;    1336 	0x05,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1337 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,
;    1338 	0x06,0x06,0x06,0x06,0x06,0xaf,0xff,0xff,0xa7,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x07,0x06,0x06,0x06,0x06,0x06,0x0f,
;    1339 	0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa4,0xff,0x5b,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1340 	0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0x52,
;    1341 	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1342 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5e,0x04,0x05,0x05,0x05,0x05,0x04,0x05,0x04,0x0d,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1343 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5f,
;    1344 	0xff,0x5f,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xff,0x57,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0x57,0x06,
;    1345 	0x06,0x06,0x07,0x07,0x06,0x06,0x06,0x5f,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x09,0x52,0x09,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0x09,0x00,0x00,0x00,0x00,
;    1346 	0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xad,0x52,0x52,0x52,0x52,0x52,0x00,0x00,0x00,0x00,
;    1347 	0x00,0x00,0xa4,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1348 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x05,0x05,0x05,0x05,0x05,0x05,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,
;    1349 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,
;    1350 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0x07,0x06,0x07,0x07,0x07,0x07,0x06,0x06,
;    1351 	0x07,0xff,0xff,0xff,0xff,0xff,0x07,0x06,0x07,0x06,0x06,0x07,0x06,0x06,0x06,0xaf,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xa4,0x00,0x00,0x00,0x00,
;    1352 	0x09,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,
;    1353 	0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1354 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x05,0x04,0x05,0x05,0x05,0x05,
;    1355 	0x05,0x04,0x0d,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1356 	0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xa7,
;    1357 	0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xaf,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x07,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,
;    1358 	0x09,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x5b,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x09,0x00,0x00,
;    1359 	0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x52,0x00,0x00,0x00,0x00,0xf6,
;    1360 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1361 	0xff,0xff,0x5e,0x04,0x04,0x04,0x05,0x05,0x05,0x05,0x04,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1362 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0x5e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1363 	0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,0xff,0xff,0xff,0x5f,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x5f,0xff,
;    1364 	0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xad,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1365 	0x09,0x00,0x00,0x00,0x52,0x52,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,
;    1366 	0x00,0x09,0x5b,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1367 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x55,0x04,0x04,0x05,0x05,0x05,0x05,0x04,0x05,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1368 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xff,
;    1369 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xaf,0xff,0xff,0xff,0xff,0xff,0x07,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,0xff,0xff,0x0f,0x06,0x07,
;    1370 	0x07,0x07,0x07,0x07,0x06,0x06,0xaf,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,
;    1371 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0xa4,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x09,
;    1372 	0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x5b,0x52,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1373 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0d,0x04,0x04,0x05,0x05,0x05,0x05,0x04,0x0d,0xff,0xff,0xff,
;    1374 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x06,0x06,0x06,
;    1375 	0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xaf,0x06,0x06,0x06,0x06,0x0e,0x0e,0x56,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x0f,
;    1376 	0xff,0xff,0xff,0xff,0xf7,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x07,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x52,
;    1377 	0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x09,0xad,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,
;    1378 	0xff,0x52,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0xad,0x09,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1379 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x0d,0x04,0x05,
;    1380 	0x05,0x04,0x05,0x05,0x04,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1381 	0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x56,0xff,0xaf,0xa7,0xa7,0xa7,0xaf,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5f,0x06,
;    1382 	0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x5f,0xff,0xff,0xff,0xff,0x5f,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x5b,
;    1383 	0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xad,0xff,0x52,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0xa4,0xa4,0x00,0x00,0x00,
;    1384 	0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x52,0xf6,0x00,0x00,0x00,0x00,0xa4,0xff,
;    1385 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1386 	0xff,0xff,0xff,0xff,0xff,0xf7,0x0d,0x04,0x05,0x05,0x05,0x05,0x04,0x04,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1387 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1388 	0xff,0xff,0xff,0xff,0xff,0xff,0x0f,0x06,0x07,0x06,0x06,0x07,0x07,0x07,0x07,0xf7,0xff,0xff,0xff,0xff,0x0f,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,0xff,
;    1389 	0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x52,0x00,
;    1390 	0x00,0x00,0x00,0xff,0x52,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,
;    1391 	0xad,0xad,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1392 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x0d,0x04,0x05,0x05,0x05,0x05,0x04,0x05,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1393 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,
;    1394 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x07,0x06,0x07,0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x07,
;    1395 	0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x09,0xff,0xa4,0x09,0x00,0x00,0x00,0x00,0x52,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xff,0xff,
;    1396 	0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x52,0xff,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,
;    1397 	0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xff,0x5b,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1398 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x55,0x04,0x04,0x05,0x04,0x05,0x04,0x05,
;    1399 	0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x06,0x06,0x06,0x06,
;    1400 	0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5f,0x06,0x07,0x06,0x07,0x07,0x06,0x07,0x06,0x5f,0xff,
;    1401 	0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0xa4,0xad,0x00,0x00,0x00,0x00,0x00,0x00,0xad,0xff,
;    1402 	0x52,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0xf6,0xf6,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,
;    1403 	0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x5b,0xff,0x09,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1404 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1405 	0xf7,0x56,0x04,0x04,0x05,0x05,0x05,0x04,0x0d,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1406 	0xff,0xff,0xff,0x5e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0f,0x06,0x07,
;    1407 	0x07,0x07,0x07,0x06,0x06,0x06,0xaf,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0xa7,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xf6,0x52,
;    1408 	0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x09,0xff,0xad,0x00,0x00,0x00,0x00,
;    1409 	0xa4,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0xf6,0xff,0x00,0x00,0x00,0x00,0x09,0xff,0xff,
;    1410 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1411 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa6,0x05,0x04,0x05,0x05,0x05,0x04,0x0d,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1412 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1413 	0xff,0xff,0xff,0xff,0xf7,0x06,0x07,0x07,0x07,0x07,0x06,0x07,0x06,0x07,0xff,0xff,0xff,0xff,0xf7,0x07,0x06,0x06,0x06,0x07,0x07,0x07,0x06,0x07,0xf7,0xff,0xff,0xff,
;    1414 	0xad,0x00,0x00,0x00,0x00,0x09,0xf6,0x00,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,
;    1415 	0x00,0xa4,0xff,0x52,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x52,0xff,
;    1416 	0xad,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1417 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x0d,0x04,0x04,0x05,0x05,0x04,0x05,0xa6,0xff,0xff,0xff,0xff,
;    1418 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xff,0xff,0xff,
;    1419 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x07,0x07,
;    1420 	0x07,0x07,0x06,0x0f,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x5b,0xa4,0x00,0x00,0x00,0x00,0x09,0xad,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,
;    1421 	0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,
;    1422 	0xff,0x52,0x00,0x00,0x00,0x00,0xad,0xff,0x5b,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1423 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x5e,0x04,0x04,
;    1424 	0x05,0x05,0x04,0x05,0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,
;    1425 	0x06,0x06,0x06,0x56,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0f,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0xa7,0xff,0xff,
;    1426 	0xff,0xff,0x0f,0x06,0x07,0x06,0x06,0x07,0x06,0x07,0x06,0x5f,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xad,0x5b,0x09,0x52,0x5b,0xa4,0xf6,0xff,0xff,0xff,0x09,
;    1427 	0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x52,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,
;    1428 	0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1429 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1430 	0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x0d,0x04,0x04,0x05,0x04,0x04,0x55,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1431 	0xff,0xff,0x0e,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x07,0x06,0x07,0x07,
;    1432 	0x07,0x07,0x06,0x07,0x06,0xaf,0xff,0xff,0xff,0xa7,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0xed,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xf6,
;    1433 	0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xad,0xff,0xad,0x00,0x00,0x00,0x00,0x09,
;    1434 	0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,
;    1435 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1436 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x66,0x05,0x04,0x04,0x04,0x04,0x0d,0xae,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1437 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1438 	0xff,0xff,0xff,0xaf,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x0f,0xa7,0xaf,0x5f,0x07,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x0f,0xff,0xff,0xff,0xff,0x5b,
;    1439 	0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x09,
;    1440 	0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xf6,
;    1441 	0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1442 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x5e,0x05,0x04,0x04,0x04,0x05,
;    1443 	0x5e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x56,0xff,0xff,0xff,0xff,0xff,
;    1444 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5f,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x06,0x07,0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,
;    1445 	0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,
;    1446 	0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,
;    1447 	0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1448 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1449 	0xff,0xff,0xff,0xf7,0x56,0x05,0x04,0x04,0x04,0x0d,0xa6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,0x06,0x06,0x06,0x06,0x06,
;    1450 	0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x07,0x06,0x06,
;    1451 	0x06,0x06,0x06,0x07,0x07,0x07,0x07,0x06,0x06,0x0f,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,
;    1452 	0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0xf6,
;    1453 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1454 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1455 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x5e,0x05,0x04,0x04,0x04,0x55,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1456 	0xf7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0f,0x06,0x06,0x07,0x07,
;    1457 	0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x07,0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,
;    1458 	0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x00,0xa4,0xa4,0xa4,0xa4,0xa4,0xff,0x52,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,
;    1459 	0xf6,0x00,0x00,0x00,0x00,0x00,0x09,0xa4,0xa4,0xa4,0xa4,0xa4,0xa4,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,
;    1460 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1461 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xa6,0x0d,0x04,0x04,0x04,0x55,0xaf,0xff,
;    1462 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x56,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1463 	0xff,0xff,0xff,0x0f,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x06,0x06,0x06,0x57,0xff,0xff,0xff,0xff,0xff,0x09,0x00,
;    1464 	0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xad,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,
;    1465 	0xff,0xad,0x00,0x00,0x00,0x00,0x00,0xff,0x5b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf6,0x09,0x00,0x00,0x00,0x00,0xa4,0xff,0xff,0xff,0x00,
;    1466 	0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1467 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1468 	0xff,0xff,0xaf,0x5e,0x0d,0x04,0x04,0x55,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x56,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,
;    1469 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x57,0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x06,0x06,0x07,
;    1470 	0xf7,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x5b,
;    1471 	0x5b,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xad,0x00,0x00,
;    1472 	0x00,0x00,0x00,0xf6,0xff,0xff,0xf6,0x00,0x00,0x00,0x00,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1473 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1474 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x5e,0x0d,0x05,0x0d,0xa6,0xf7,0xff,0xff,0xff,0xff,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
;    1475 	0x06,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa7,0x06,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,
;    1476 	0x07,0x07,0x07,0x06,0x06,0x06,0x07,0xf7,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,
;    1477 	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa4,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x52,0xf6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
;    1478 	0x00,0x00,0x00,0x00,0x5b,0x52,0x00,0x00,0x00,0x00,0x52,0xff,0xff,0xff,0xa4,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1479 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1480 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0x5e,0x55,0x0d,0x5e,0xaf,0xff,0xa7,
;    1481 	0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0e,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x0f,0x06,0x06,0x06,
;    1482 	0x06,0x06,0x07,0x07,0x07,0x07,0x07,0x06,0x06,0x07,0x06,0x06,0x06,0x0f,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,
;    1483 	0xff,0xff,0xff,0xff,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x52,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0xa4,0xa4,
;    1484 	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x5b,0x00,0x00,0x00,0x00,0x00,0xad,0xff,0xff,0xff,0x5b,0x00,0x00,0x00,0x00,0x09,0xff,0xff,0xff,0xff,
;    1485 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1486 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1487 	0xff,0xff,0xff,0xff,0xaf,0xa6,0xa6,0x56,0x0e,0x0e,0x0e,0x0e,0x0e,0x0e,0x0e,0x0e,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1488 	0xff,0xff,0xff,0xff,0xff,0x57,0x07,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0f,0xa7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x09,0x09,
;    1489 	0x09,0x09,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x52,0x52,0x09,0x09,0x09,0x09,0xa4,0xff,0xff,0xff,
;    1490 	0xff,0x09,0x09,0x09,0x09,0x09,0xad,0x5b,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x09,0x52,0x5b,0x09,0x09,0x09,0x09,0x52,0xff,0xff,0xff,0xff,0x5b,0x09,
;    1491 	0x09,0x09,0x09,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1492 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1493 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1494 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaf,0x5f,0x57,0x0f,0x0f,0x0f,0x0f,0x0f,0x0f,0x0f,0x57,0x5f,0xaf,0xff,0xff,0xff,0xff,0xff,
;    1495 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1496 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1497 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1498 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1499 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1500 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1501 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1502 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1503 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1504 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1505 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1506 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1507 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1508 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1509 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1510 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1511 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1512 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1513 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1514 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1515 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1516 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1517 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1518 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1519 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1520 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1521 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1522 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1523 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1524 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1525 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1526 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1527 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1528 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1529 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1530 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1531 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1532 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1533 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1534 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1535 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1536 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1537 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0xf6,0xff,0xad,0xf6,0xff,0xa4,
;    1538 	0xf6,0xad,0xf6,0xff,0xad,0xf6,0xff,0xa4,0xf6,0xa4,0xff,0xff,0xa4,0xff,0xf6,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0x52,0x00,0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,
;    1539 	0xff,0xff,0xff,0xff,0x5b,0xf6,0xff,0xf6,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1540 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x09,0x00,0x00,0xa4,0xff,0xff,0xf6,0x09,0x00,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,
;    1541 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1542 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1543 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1544 	0xff,0x52,0x52,0xff,0x00,0xa4,0xad,0x00,0xff,0x52,0x52,0xff,0x00,0xa4,0xad,0x00,0xff,0x09,0xa4,0xad,0x00,0xf6,0xa4,0x09,0xff,0xff,0xff,0xff,0xff,0x5b,0x09,0xff,
;    1545 	0xf6,0x09,0x5b,0xff,0x5b,0x09,0x00,0x00,0x00,0xa4,0xff,0xf6,0x00,0xad,0xff,0xa4,0x00,0xff,0xf6,0x00,0x09,0x00,0x00,0x52,0xff,0xff,0x5b,0x5b,0xff,0xff,0xa4,0x00,
;    1546 	0x00,0x09,0x00,0xa4,0xff,0x52,0x00,0x00,0x09,0xff,0xff,0x52,0x00,0x00,0x09,0x00,0xad,0xff,0xff,0xff,0xff,0xf6,0x00,0xa4,0xff,0xa4,0x00,0xf6,0xff,0x09,0x52,0xff,
;    1547 	0xad,0x00,0xa4,0xff,0x5b,0x09,0x00,0x00,0x5b,0x00,0x00,0x5b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1548 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1549 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1550 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0xa4,0x00,0x52,0x5b,0x52,0xff,0xad,0x00,0xa4,0x00,0x52,0x5b,0x52,0xff,0x5b,0x52,0x5b,0x00,0xa4,0x09,0xa4,
;    1551 	0xff,0xff,0xff,0xff,0xff,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0x5b,0x00,0xad,0xff,0xa4,0x00,0xad,0xf6,0x00,0xad,0xff,0xa4,0x00,0xff,0xf6,0x00,0x52,0xff,0xf6,0x09,
;    1552 	0x52,0xff,0x5b,0x5b,0xff,0xa4,0x00,0xa4,0xff,0xa4,0x00,0xa4,0xff,0xff,0xff,0x09,0xa4,0xff,0x5b,0x09,0xf6,0xff,0x5b,0x00,0xad,0xff,0xff,0xff,0xff,0xa4,0x00,0xff,
;    1553 	0xff,0xff,0xff,0xff,0xad,0x00,0xf6,0xff,0xff,0x52,0x52,0xff,0x5b,0x00,0xff,0xa4,0x00,0xad,0xf6,0x00,0xad,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1554 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1555 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1556 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x52,0x5b,0x00,0x09,0xa4,0xff,0xff,0x00,0x52,0x5b,0x00,0x09,0xa4,
;    1557 	0xff,0xad,0x00,0x09,0x5b,0x09,0x00,0xf6,0xff,0xff,0xff,0xff,0xff,0x00,0xa4,0xff,0xff,0xff,0xff,0xff,0x5b,0x52,0xff,0xff,0xff,0x00,0xa4,0xf6,0x00,0xad,0xff,0xa4,
;    1558 	0x00,0xff,0xf6,0x00,0xad,0xff,0xff,0xa4,0x00,0xff,0x5b,0x5b,0xff,0xa4,0x09,0xff,0xff,0xff,0x09,0xa4,0xff,0xff,0x52,0x5b,0xff,0xff,0x52,0x5b,0xff,0xff,0xf6,0x00,
;    1559 	0xad,0xff,0xff,0xff,0xff,0xa4,0x00,0xff,0xff,0xff,0xff,0xff,0xad,0x00,0xf6,0xff,0xff,0x52,0x52,0xff,0x5b,0x52,0xff,0xad,0x00,0xf6,0xff,0x09,0xa4,0xff,0xff,0xff,
;    1560 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1561 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1562 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x00,0xad,0x09,0x00,0xff,
;    1563 	0xff,0xff,0x5b,0x00,0xad,0x09,0x00,0xff,0xff,0xff,0x09,0x00,0xf6,0x00,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x09,0xf6,0xf6,0x09,0x5b,0xff,0x5b,0x00,0xad,0xff,
;    1564 	0xa4,0x00,0xad,0xff,0x00,0xa4,0xff,0x09,0x00,0xff,0xf6,0x00,0x52,0xff,0xf6,0x09,0x52,0xff,0x5b,0x5b,0xff,0xa4,0x00,0xa4,0xff,0xa4,0x00,0xa4,0xff,0x5b,0x09,0xff,
;    1565 	0xff,0xff,0x5b,0x09,0xf6,0xff,0x5b,0x00,0xad,0xff,0xff,0xff,0xff,0xf6,0x00,0xa4,0xff,0xa4,0x00,0xf6,0xff,0x09,0x52,0xff,0xad,0x00,0xad,0xff,0x5b,0x52,0xff,0xad,
;    1566 	0x00,0xf6,0xff,0x09,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1567 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1568 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1569 	0xff,0xff,0xad,0x09,0xff,0xa4,0x52,0xff,0xff,0xff,0xad,0x09,0xff,0xa4,0x52,0xff,0xff,0xff,0xa4,0x52,0xff,0x52,0xa4,0xff,0xff,0xad,0x00,0xff,0xff,0xff,0x52,0x00,
;    1570 	0x00,0x52,0xff,0xff,0x5b,0x09,0x00,0x00,0x00,0xa4,0xff,0xff,0xa4,0x00,0x00,0x09,0x00,0xff,0xf6,0x00,0x09,0x00,0x00,0x52,0xff,0xff,0x5b,0x5b,0xff,0xff,0xa4,0x00,
;    1571 	0x00,0x09,0x00,0xa4,0xf6,0x00,0x00,0x00,0x00,0xff,0xff,0x52,0x00,0x00,0x09,0x00,0xad,0xff,0xa4,0x52,0xff,0xff,0xa4,0x00,0x00,0x09,0xad,0xff,0xff,0xf6,0x09,0x00,
;    1572 	0x00,0xa4,0xff,0xff,0x5b,0x52,0xff,0xad,0x00,0xf6,0xff,0x09,0xa4,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1573 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1574 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1575 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1576 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x5b,0x52,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf6,0x00,0xad,0xff,0xff,0xff,
;    1577 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1578 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa4,0xa4,0xff,0xf6,0x5b,0xff,0xff,0xa4,0xf6,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1579 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1580 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1581 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1582 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1583 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1584 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1585 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1586 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1587 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1588 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1589 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1590 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1591 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1592 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1593 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1594 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1595 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1596 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1597 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1598 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1599 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1600 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1601 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1602 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1603 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1604 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1605 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1606 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1607 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1608 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1609 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1610 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1611 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1612 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1613 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1614 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1615 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1616 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1617 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1618 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1619 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1620 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1621 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
;    1622 	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff};
;    1623 //#include "sample3_8.txt"						// ̹  16bit 200*150
;    1624 
;    1625 //#include "sample1_16.txt"						// ̹  16bit 150*120
;    1626 //#include "sample2_16.txt"						// ̹  16bit 200*120
;    1627 //#include "sample3_16.txt"						// ̹  16bit 200*150
;    1628 
;    1629 // Լ 
;    1630 void main_menu_disp(void);						//  ޴ ǥ
;    1631 
;    1632 //  
;    1633 
;    1634 // ===============================  α׷ ==============================
;    1635 // [μ]: void
;    1636 // ---------------------------------------------------------------------------
;    1637 int main(void)
;    1638 {
_main:
;    1639 	cpu_setup();							// cpu ʱȭ
	CALL _cpu_setup
;    1640 	TSC2003_Setup();						// I2c ʱȭ TSC2003ʱȭ
	CALL _TSC2003_Setup
;    1641 	Clcd_Init();							// LCD ʱȭ
	CALL _Clcd_Init
;    1642 	Cleardevice();							// ȭ Ұ
	CALL _Cleardevice
;    1643 	main_menu_disp();						//  ޴ ǥ
	RCALL _main_menu_disp
;    1644 
;    1645 // 8Bit BGR(233) ̹ ǥ
;    1646 //	Image_Disp_8bit(_SCREEN_COLUMN_SET,80,60,160,120,image_temp8_1);//  ̹  ǥ 32000Byte ̳(sample1_8.txt)
;    1647 	Image_Disp_8bit(_SCREEN_COLUMN_SET,60,60,200,120,image_temp8_1);//  ̹  ǥ 32000Byte ̳(sample2_8.txt)
	CALL SUBOPT_0x6
	CALL SUBOPT_0x19
	CALL SUBOPT_0x19
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(120)
	LDI  R31,HIGH(120)
	ST   -Y,R31
	ST   -Y,R30
	__POINTD1FN _image_temp8_1,0
	CALL __PUTPARD1
	CALL _Image_Disp_8bit
;    1648 //	Image_Disp_8bit(_SCREEN_COLUMN_SET,60,45,200,150,image_temp8_1);//  ̹  ǥ 32000Byte ̳(sample3_8.txt)
;    1649 //	Image_Screen_Disp_8bit(_SCREEN_COLUMN_SET,60,45,200,150,image_temp8_1,image_temp8_1,image_temp8_1);// ̹  ǥ 32000Byte ̻(sample3.txt)
;    1650 
;    1651 //16Bit RG(565) ̹ ǥ
;    1652 //	Image_Disp_16bit(_SCREEN_COLUMN_SET,80,60,160,120,image_temp16_1);// ̹  ǥ 32000Byte ̳(sample1_16.txt)
;    1653 // sample1_16.txt
;    1654 //	Image_Screen_Disp_16bit(_SCREEN_COLUMN_SET,80,60,160,120,image_temp16_1,image_temp16_2,image_temp16_1,image_temp16_1,image_temp16_1);// ̹  ǥ 32000Byte ̻
;    1655 // sample2_16.txt
;    1656 //	Image_Screen_Disp_16bit(_SCREEN_COLUMN_SET,60,60,200,120,image_temp16_1,image_temp16_2,image_temp16_1,image_temp16_1,image_temp16_1);// ̹  ǥ 32000Byte ̻
;    1657 // sample3_16.txt
;    1658 //	Image_Screen_Disp_16bit(_SCREEN_COLUMN_SET,60,45,200,150,image_temp16_1,image_temp16_2,image_temp16_1,image_temp16_1,image_temp16_1);// ̹  ǥ 32000Byte ̻
;    1659 
;    1660 	while(1){
_0x82:
;    1661 		if(com1_rx_eflg){					// COM1  ˻
	TST  R4
	BREQ _0x85
;    1662 			putchar(com1_rx_data);
	ST   -Y,R5
	CALL _putchar
;    1663 			com1_rx_eflg = 0;
	CLR  R4
;    1664 		}
;    1665 		if(Touch_Data(2)){					// ġ  ˻ 20ms
_0x85:
	CALL SUBOPT_0xB
	CALL _Touch_Data
	SBIW R30,0
	BREQ _0x86
;    1666 			printf("touch > (x)%d : (y)%d\r\n",Touch_X,Touch_Y);
	__POINTD1FN _0,0
	CALL __PUTPARD1
	LDS  R30,_Touch_X
	LDS  R31,_Touch_X+1
	CALL __CWD1
	CALL __PUTPARD1
	LDS  R30,_Touch_Y
	LDS  R31,_Touch_Y+1
	CALL __CWD1
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,12
;    1667 		}
;    1668 	}
_0x86:
	RJMP _0x82
;    1669 	return 0;
_0x87:
	RJMP _0x87
;    1670 }
;    1671 
;    1672 // ==================================  ޴ ǥ =========================
;    1673 // [μ] void
;    1674 // ---------------------------------------------------------------------------
;    1675 void main_menu_disp(void)
;    1676 {
_main_menu_disp:
;    1677 	printf("======== TFT LCD Test Main =========\r\n");
	__POINTD1FN _0,24
	CALL SUBOPT_0x22
;    1678 	printf("- Color LCD Image Display          -\r\n");
	__POINTD1FN _0,63
	CALL SUBOPT_0x22
;    1679 	printf("- touch screen press : x,y disp    -\r\n");
	__POINTD1FN _0,102
	CALL SUBOPT_0x22
;    1680 	printf("------------------------------------\r\n");
	__POINTD1FN _0,141
	CALL SUBOPT_0x22
;    1681 }
	RET

_getchar:
     sbis usr,rxc
     rjmp _getchar
     in   r30,udr
	RET
_putchar:
     sbis usr,udre
     rjmp _putchar
     ld   r30,y
     out  udr,r30
	ADIW R28,1
	RET
__put_G2:
	ST   -Y,R17
	ST   -Y,R16
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	CALL __GETW1P
	SBIW R30,0
	BREQ _0x88
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	CALL __GETW1P
	MOVW R16,R30
	SBIW R30,0
	BREQ _0x8A
	__CPWRN 16,17,2
	BRLO _0x8B
	MOVW R30,R16
	SBIW R30,1
	MOVW R16,R30
	ST   X+,R30
	ST   X,R31
_0x8A:
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	LD   R30,X+
	LD   R31,X+
	ADIW R30,1
	ST   -X,R31
	ST   -X,R30
	SBIW R30,1
	LDD  R26,Y+6
	STD  Z+0,R26
_0x8B:
	RJMP _0x8C
_0x88:
	LDD  R30,Y+6
	ST   -Y,R30
	CALL _putchar
_0x8C:
	LDD  R17,Y+1
	LDD  R16,Y+0
	ADIW R28,7
	RET
__print_G2:
	SBIW R28,8
	CALL __SAVELOCR6
	LDI  R17,0
_0x8D:
	__GETD1S 20
	CALL SUBOPT_0x3
	__PUTD1S 20
	SBIW R30,1
	SBCI R22,0
	SBCI R23,0
	__GETBRPF 30
	MOV  R18,R30
	CPI  R30,0
	BRNE PC+3
	JMP _0x8F
	MOV  R30,R17
	CPI  R30,0
	BRNE _0x93
	CPI  R18,37
	BRNE _0x94
	LDI  R17,LOW(1)
	RJMP _0x95
_0x94:
	CALL SUBOPT_0x23
_0x95:
	RJMP _0x92
_0x93:
	CPI  R30,LOW(0x1)
	BRNE _0x96
	CPI  R18,37
	BRNE _0x97
	CALL SUBOPT_0x23
	RJMP _0xEF
_0x97:
	LDI  R17,LOW(2)
	LDI  R20,LOW(0)
	LDI  R16,LOW(0)
	CPI  R18,45
	BRNE _0x98
	LDI  R16,LOW(1)
	RJMP _0x92
_0x98:
	CPI  R18,43
	BRNE _0x99
	LDI  R20,LOW(43)
	RJMP _0x92
_0x99:
	CPI  R18,32
	BRNE _0x9A
	LDI  R20,LOW(32)
	RJMP _0x92
_0x9A:
	RJMP _0x9B
_0x96:
	CPI  R30,LOW(0x2)
	BRNE _0x9C
_0x9B:
	LDI  R21,LOW(0)
	LDI  R17,LOW(3)
	CPI  R18,48
	BRNE _0x9D
	ORI  R16,LOW(128)
	RJMP _0x92
_0x9D:
	RJMP _0x9E
_0x9C:
	CPI  R30,LOW(0x3)
	BREQ PC+3
	JMP _0x92
_0x9E:
	CPI  R18,48
	BRLO _0xA1
	CPI  R18,58
	BRLO _0xA2
_0xA1:
	RJMP _0xA0
_0xA2:
	MOV  R26,R21
	LDI  R30,LOW(10)
	MUL  R30,R26
	MOVW R30,R0
	MOV  R21,R30
	MOV  R30,R18
	SUBI R30,LOW(48)
	ADD  R21,R30
	RJMP _0x92
_0xA0:
	MOV  R30,R18
	CPI  R30,LOW(0x63)
	BRNE _0xA6
	CALL SUBOPT_0x24
	LD   R30,X
	CALL SUBOPT_0x25
	RJMP _0xA7
_0xA6:
	CPI  R30,LOW(0x73)
	BRNE _0xA9
	CALL SUBOPT_0x24
	CALL __GETW1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	CALL _strlen
	MOV  R17,R30
	RJMP _0xAA
_0xA9:
	CPI  R30,LOW(0x70)
	BRNE _0xAC
	CALL SUBOPT_0x24
	CALL __GETD1P
	CALL SUBOPT_0x26
	CALL SUBOPT_0x27
	CALL __PUTPARD1
	CALL _strlenf
	MOV  R17,R30
	ORI  R16,LOW(8)
_0xAA:
	ORI  R16,LOW(2)
	ANDI R16,LOW(127)
	LDI  R19,LOW(0)
	RJMP _0xAD
_0xAC:
	CPI  R30,LOW(0x64)
	BREQ _0xB0
	CPI  R30,LOW(0x69)
	BRNE _0xB1
_0xB0:
	ORI  R16,LOW(4)
	RJMP _0xB2
_0xB1:
	CPI  R30,LOW(0x75)
	BRNE _0xB3
_0xB2:
	__POINTD1FN _tbl10_G2,0
	CALL SUBOPT_0x26
	LDI  R17,LOW(5)
	RJMP _0xB4
_0xB3:
	CPI  R30,LOW(0x58)
	BRNE _0xB6
	ORI  R16,LOW(8)
	RJMP _0xB7
_0xB6:
	CPI  R30,LOW(0x78)
	BREQ PC+3
	JMP _0xE8
_0xB7:
	__POINTD1FN _tbl16_G2,0
	CALL SUBOPT_0x26
	LDI  R17,LOW(4)
_0xB4:
	SBRS R16,2
	RJMP _0xB9
	CALL SUBOPT_0x24
	CALL __GETW1P
	STD  Y+12,R30
	STD  Y+12+1,R31
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	SBIW R26,0
	BRGE _0xBA
	CALL __ANEGW1
	STD  Y+12,R30
	STD  Y+12+1,R31
	LDI  R20,LOW(45)
_0xBA:
	CPI  R20,0
	BREQ _0xBB
	SUBI R17,-LOW(1)
	RJMP _0xBC
_0xBB:
	ANDI R16,LOW(251)
_0xBC:
	RJMP _0xBD
_0xB9:
	CALL SUBOPT_0x24
	CALL __GETW1P
	STD  Y+12,R30
	STD  Y+12+1,R31
_0xBD:
_0xAD:
	SBRC R16,0
	RJMP _0xBE
_0xBF:
	CP   R17,R21
	BRSH _0xC1
	SBRS R16,7
	RJMP _0xC2
	SBRS R16,2
	RJMP _0xC3
	ANDI R16,LOW(251)
	MOV  R18,R20
	SUBI R17,LOW(1)
	RJMP _0xC4
_0xC3:
	LDI  R18,LOW(48)
_0xC4:
	RJMP _0xC5
_0xC2:
	LDI  R18,LOW(32)
_0xC5:
	CALL SUBOPT_0x23
	SUBI R21,LOW(1)
	RJMP _0xBF
_0xC1:
_0xBE:
	MOV  R19,R17
	SBRS R16,1
	RJMP _0xC6
_0xC7:
	CPI  R19,0
	BREQ _0xC9
	SBRS R16,3
	RJMP _0xCA
	CALL SUBOPT_0x27
	CALL SUBOPT_0x3
	CALL SUBOPT_0x26
	SBIW R30,1
	SBCI R22,0
	SBCI R23,0
	__GETBRPF 30
	RJMP _0xF0
_0xCA:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LD   R30,X+
	STD  Y+6,R26
	STD  Y+6+1,R27
_0xF0:
	ST   -Y,R30
	CALL SUBOPT_0x28
	CPI  R21,0
	BREQ _0xCC
	SUBI R21,LOW(1)
_0xCC:
	SUBI R19,LOW(1)
	RJMP _0xC7
_0xC9:
	RJMP _0xCD
_0xC6:
_0xCF:
	LDI  R18,LOW(48)
	CALL SUBOPT_0x27
	__SUBD1N -2
	CALL SUBOPT_0x26
	SBIW R30,2
	SBCI R22,0
	SBCI R23,0
	CALL __GETW1PF
	STD  Y+10,R30
	STD  Y+10+1,R31
_0xD1:
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	CP   R26,R30
	CPC  R27,R31
	BRLO _0xD3
	SUBI R18,-LOW(1)
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+12,R30
	STD  Y+12+1,R31
	RJMP _0xD1
_0xD3:
	CPI  R18,58
	BRLO _0xD4
	SBRS R16,3
	RJMP _0xD5
	SUBI R18,-LOW(7)
	RJMP _0xD6
_0xD5:
	SUBI R18,-LOW(39)
_0xD6:
_0xD4:
	SBRC R16,4
	RJMP _0xD8
	CPI  R18,49
	BRSH _0xDA
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	SBIW R26,1
	BRNE _0xD9
_0xDA:
	RJMP _0xF1
_0xD9:
	CP   R21,R19
	BRLO _0xDE
	SBRS R16,0
	RJMP _0xDF
_0xDE:
	RJMP _0xDD
_0xDF:
	LDI  R18,LOW(32)
	SBRS R16,7
	RJMP _0xE0
	LDI  R18,LOW(48)
_0xF1:
	ORI  R16,LOW(16)
	SBRS R16,2
	RJMP _0xE1
	ANDI R16,LOW(251)
	ST   -Y,R20
	CALL SUBOPT_0x28
	CPI  R21,0
	BREQ _0xE2
	SUBI R21,LOW(1)
_0xE2:
_0xE1:
_0xE0:
_0xD8:
	CALL SUBOPT_0x23
	CPI  R21,0
	BREQ _0xE3
	SUBI R21,LOW(1)
_0xE3:
_0xDD:
	SUBI R19,LOW(1)
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	SBIW R26,2
	BRLO _0xD0
	RJMP _0xCF
_0xD0:
_0xCD:
	SBRS R16,0
	RJMP _0xE4
_0xE5:
	CPI  R21,0
	BREQ _0xE7
	SUBI R21,LOW(1)
	LDI  R30,LOW(32)
	CALL SUBOPT_0x25
	RJMP _0xE5
_0xE7:
_0xE4:
_0xE8:
_0xA7:
_0xEF:
	LDI  R17,LOW(0)
_0x92:
	RJMP _0x8D
_0x8F:
	CALL __LOADLOCR6
	ADIW R28,24
	RET
_printf:
	PUSH R15
	MOV  R15,R24
	SBIW R28,2
	ST   -Y,R17
	ST   -Y,R16
	MOVW R26,R28
	CALL __ADDW2R15
	MOVW R16,R26
	LDI  R30,0
	STD  Y+2,R30
	STD  Y+2+1,R30
	MOVW R26,R28
	ADIW R26,4
	CALL __ADDW2R15
	CALL __GETD1P
	CALL __PUTPARD1
	ST   -Y,R17
	ST   -Y,R16
	MOVW R30,R28
	ADIW R30,8
	CALL SUBOPT_0x15
	CALL __print_G2
	LDD  R17,Y+1
	LDD  R16,Y+0
	ADIW R28,4
	POP  R15
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x0:
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x1:
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	SBIW R30,1
	LDD  R26,Y+24
	LDD  R27,Y+24+1
	ADD  R30,R26
	ADC  R31,R27
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x2:
	LDI  R30,LOW(34)
	LDI  R31,HIGH(34)
	ST   -Y,R31
	ST   -Y,R30
	CALL _CLCD_Command
	SBI  0x3,5
	LDS  R30,101
	ANDI R30,0xFB
	STS  101,R30
	LDS  R30,101
	ORI  R30,1
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x3:
	__SUBD1N -1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x4:
	LDS  R30,101
	ANDI R30,0xFE
	STS  101,R30
	LDS  R30,101
	ORI  R30,1
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x5:
	LDS  R30,101
	ORI  R30,4
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 19 TIMES, CODE SIZE REDUCTION:33 WORDS
SUBOPT_0x6:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x7:
	LDI  R30,LOW(319)
	LDI  R31,HIGH(319)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x8:
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x9:
	LDI  R30,LOW(22)
	LDI  R31,HIGH(22)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 57 TIMES, CODE SIZE REDUCTION:109 WORDS
SUBOPT_0xA:
	ST   -Y,R31
	ST   -Y,R30
	JMP  _CLCD_Command_Data

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xB:
	LDI  R30,LOW(2)
	LDI  R31,HIGH(2)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xC:
	LDI  R30,LOW(5)
	LDI  R31,HIGH(5)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD:
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _lcd_delay

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xE:
	LDS  R30,101
	ORI  R30,LOW(0x3)
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0xF:
	ST   -Y,R31
	ST   -Y,R30
	JMP  _lcd_delay

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x10:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x11:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x8

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x12:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(4)
	LDI  R31,HIGH(4)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x13:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x14:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(14)
	LDI  R31,HIGH(14)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x15:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x6

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x16:
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	RJMP SUBOPT_0xF

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x17:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(149)
	LDI  R31,HIGH(149)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x18:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(2)
	LDI  R31,HIGH(2)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x19:
	LDI  R30,LOW(60)
	LDI  R31,HIGH(60)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1A:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(56)
	LDI  R31,HIGH(56)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1B:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x1C:
	LDI  R30,LOW(40)
	LDI  R31,HIGH(40)
	RJMP SUBOPT_0xF

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1D:
	LDI  R30,LOW(38)
	LDI  R31,HIGH(38)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x1E:
	CBI  0x3,5
	CBI  0x3,3
	LDS  R30,101
	ANDI R30,0xFB
	STS  101,R30
	LDS  R30,101
	ANDI R30,0xFE
	STS  101,R30
	LDI  R30,LOW(0)
	OUT  0x15,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x1F:
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
	LDS  R30,101
	ORI  R30,1
	STS  101,R30
	RJMP SUBOPT_0x5

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x20:
	LDI  R30,LOW(144)
	STS  115,R30
	LDI  R30,LOW(132)
	STS  116,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x21:
	STS  115,R30
	LDI  R30,LOW(132)
	STS  116,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x22:
	CALL __PUTPARD1
	LDI  R24,0
	CALL _printf
	ADIW R28,4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:24 WORDS
SUBOPT_0x23:
	ST   -Y,R18
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,17
	ST   -Y,R31
	ST   -Y,R30
	JMP  __put_G2

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x24:
	LDD  R26,Y+18
	LDD  R27,Y+18+1
	SBIW R26,4
	STD  Y+18,R26
	STD  Y+18+1,R27
	ADIW R26,4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x25:
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,17
	ST   -Y,R31
	ST   -Y,R30
	JMP  __put_G2

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x26:
	__PUTD1S 6
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x27:
	__GETD1S 6
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x28:
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,17
	ST   -Y,R31
	ST   -Y,R30
	JMP  __put_G2

_strlen:
	ld   r26,y+
	ld   r27,y+
	clr  r30
	clr  r31
__strlen0:
	ld   r22,x+
	tst  r22
	breq __strlen1
	adiw r30,1
	rjmp __strlen0
__strlen1:
	ret

_strlenf:
	clr  r26
	clr  r27
	ld   r30,y+
	ld   r31,y+
	ld   r22,y+
	ld   r23,y+
	out  rampz,r22
__strlenf0:
	elpm r0,z+
	tst  r0
	breq __strlenf1
	adiw r26,1
	rjmp __strlenf0
__strlenf1:
	movw r30,r26
	ret

__ADDW2R15:
	CLR  R0
	ADD  R26,R15
	ADC  R27,R0
	RET

__ANEGW1:
	COM  R30
	COM  R31
	ADIW R30,1
	RET

__LSLW4:
	LSL  R30
	ROL  R31
__LSLW3:
	LSL  R30
	ROL  R31
__LSLW2:
	LSL  R30
	ROL  R31
	LSL  R30
	ROL  R31
	RET

__CWD1:
	MOV  R22,R31
	ADD  R22,R22
	SBC  R22,R22
	MOV  R23,R22
	RET

__MULW12U:
	MUL  R31,R26
	MOV  R31,R0
	MUL  R30,R27
	ADD  R31,R0
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	RET

__MULW12:
	RCALL __CHKSIGNW
	RCALL __MULW12U
	BRTC __MULW121
	RCALL __ANEGW1
__MULW121:
	RET

__CHKSIGNW:
	CLT
	SBRS R31,7
	RJMP __CHKSW1
	RCALL __ANEGW1
	SET
__CHKSW1:
	SBRS R27,7
	RJMP __CHKSW2
	COM  R26
	COM  R27
	ADIW R26,1
	BLD  R0,0
	INC  R0
	BST  R0,0
__CHKSW2:
	RET

__GETW1P:
	LD   R30,X+
	LD   R31,X
	SBIW R26,1
	RET

__GETD1P:
	LD   R30,X+
	LD   R31,X+
	LD   R22,X+
	LD   R23,X
	SBIW R26,3
	RET

__GETW1PF:
	OUT  RAMPZ,R22
	ELPM R0,Z+
	ELPM R31,Z
	MOV  R30,R0
	RET

__PUTPARD1:
	ST   -Y,R23
	ST   -Y,R22
	ST   -Y,R31
	ST   -Y,R30
	RET

__SAVELOCR6:
	ST   -Y,R21
__SAVELOCR5:
	ST   -Y,R20
__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR6:
	LDD  R21,Y+5
__LOADLOCR5:
	LDD  R20,Y+4
__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

__INITLOCB:
__INITLOCW:
	ADD R26,R28
	ADC R27,R29
	OUT  RAMPZ,R22
__INITLOC0:
	ELPM R0,Z+
	ST   X+,R0
	DEC  R24
	BRNE __INITLOC0
	RET

;END OF CODE MARKER
__END_OF_CODE:
